Sync with portage [Wed Oct 30 15:45:52 MSK 2013].

mhiretskiy
root 11 years ago
parent 79c4cf516e
commit b4e5b26bfe

@ -1,13 +1,12 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect/eselect-9999.ebuild,v 1.15 2013/10/22 18:31:18 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect/eselect-9999.ebuild,v 1.16 2013/10/29 21:08:27 ulm Exp $
EAPI=5
EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/eselect.git"
EGIT_BOOTSTRAP="autogen.bash"
inherit git-2 bash-completion-r1
inherit autotools git-r3 bash-completion-r1
DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
HOMEPAGE="http://wiki.gentoo.org/wiki/Project:Eselect"
@ -32,6 +31,10 @@ RDEPEND="!app-admin/eselect-news
PDEPEND="emacs? ( app-emacs/eselect-mode )
vim-syntax? ( app-vim/eselect-syntax )"
src_prepare() {
eautoreconf
}
src_compile() {
emake
use doc && emake html

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/bareos/bareos-12.4.5.ebuild,v 1.1 2013/10/21 21:52:51 mschiff Exp $
# $Header: /var/cvsroot/gentoo-x86/app-backup/bareos/bareos-12.4.5.ebuild,v 1.2 2013/10/30 01:17:33 mschiff Exp $
EAPI="5"
@ -159,6 +159,7 @@ src_configure() {
$(use_with python) \
$(use_with readline readline /usr) \
$(use_with sqlite3) \
$(use sqlite3 || echo "--without-sqlite3") \
$(use_with ssl openssl) \
$(use_with tcpd tcp-wrappers) \
"

@ -1,3 +1,4 @@
DIST root_v5.32.03.source.tar.gz 55529362 SHA256 575057c429625df69f0fa5c303287acefff185cda8cf8d1e9a6b2d21097d5ae6 SHA512 2e067eb9c6bbda5cf4df6973a3cf5307540247fb07c349f7ee74c0cf6a4abbb63f585a9ff67139cae985250fc5c5106b5ea03d7d9d2bcd20269e0ec8760ebd02 WHIRLPOOL 87dbf6f55f82001e07afc3b467e95f841f185f1f67d1dbd953f73e8aa9127ef8485db84100d6e9a08f0ae6aa5b45a565398eb6723145fff16c07e5158bb3e3ab
DIST root_v5.32.04.source.tar.gz 55526502 SHA256 0c0130ba3d74b86caee3071deeceb46545cfde34def8ad2107601e133506acf2 SHA512 796d7f6fe92700232da3fcaac042438e13c13e504179a7375105b2ff06e1fac571ef4d59f270d73844b2a481b0762a873985d22eee2b1a0b156071b777d4417a WHIRLPOOL c5ce0f81331e08b3f79e97c894bff60185bba562388e789d3d1716d3523045a55c24e1cebded4ad19a09023c4b5275fd7d44acb726a1f248a9616ed95addd609
DIST root_v5.34.09.source.tar.gz 66507220 SHA256 a99cd7f34bf25a52e63228f3f7c245afa9e55420bfb4ce7e78d20c6475a4ea86 SHA512 6a87bc07c157d81649cc02feb3c2a5ab9ddfd0bef7c11893d5d65890b3855d14e6a6db6d2a76d91fcce3fe893091e76b4f477ac05d788aa759dbd34362895a7c WHIRLPOOL 671c7578455aaa5114292496d2cadd0d3ff33bc1dcfb7f590c1febd78db5c67175d35e3c4dc26f64ba1a5b1ca057b4b2b874bbb203e44093ed54ef0bfbd43060
DIST root_v5.34.10.source.tar.gz 66685508 SHA256 a70c46f382e6557765c4741a367bded9b4041f669e9c313c4201ef66f1ae5d9d SHA512 c51cab511ab771d174f8d6c5ea6d3a047179e9412c508ec31f5a501f71309799dbe863e2d6e72c234a2c973201e3e5131f538c153c5fe68e8a998fe5a59fde11 WHIRLPOOL 677bfeb4bfed1f39be9a7292ab80a2fd1e58e89a4090d4c3b7799397fcb140c5c5f7c421d591e78999218c250f40f232775f7b3a3e680b251d54d5efe5704dc8

@ -0,0 +1,77 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-doc/root-docs/root-docs-5.34.10.ebuild,v 1.1 2013/10/29 17:02:27 bicatali Exp $
EAPI=5
ROOT_PN="root"
PATCH_PV="5.34.01"
if [[ ${PV} == "9999" ]] ; then
_GIT=git-2
SRC_URI=""
KEYWORDS=""
else
SRC_URI="ftp://root.cern.ch/${ROOT_PN}/${ROOT_PN}_v${PV}.source.tar.gz"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
fi
inherit eutils multilib toolchain-funcs virtualx ${_GIT}
DESCRIPTION="API documentation for ROOT (An Object-Oriented Data Analysis Framework)"
HOMEPAGE="http://root.cern.ch/"
SLOT="0"
LICENSE="LGPL-2.1"
IUSE=""
S="${WORKDIR}/${ROOT_PN}"
VIRTUALX_REQUIRED="always"
DEPEND="
~sci-physics/root-${PV}[X,doc,graphviz,htmldoc,opengl]
virtual/pkgconfig
${_GIT_DEP}"
RDEPEND=""
src_prepare() {
epatch "${FILESDIR}"/${PN}-${PATCH_PV}-makehtml.patch
}
src_configure() {
# we need only to setup paths here, html docs doesn't depend on USE flags
./configure \
--prefix="${EPREFIX}"/usr \
--etcdir="${EPREFIX}"/etc/root \
--libdir="${EPREFIX}"/usr/$(get_libdir)/${PN} \
--docdir="${EPREFIX}"/usr/share/doc/${PF} \
--tutdir="${EPREFIX}"/usr/share/doc/${PF}/examples/tutorials \
--testdir="${EPREFIX}"/usr/share/doc/${PF}/examples/tests \
--with-cc=$(tc-getCC) \
--with-cxx=$(tc-getCXX) \
--with-f77=$(tc-getFC) \
--with-ld=$(tc-getCXX) \
--with-afs-shared=yes \
--with-llvm-config="${EPREFIX}"/usr/bin/llvm-config \
--with-sys-iconpath="${EPREFIX}"/usr/share/pixmaps \
--nohowto
}
src_compile() {
# video drivers may want to access hardware devices
cards=$(echo -n /dev/dri/card* /dev/ati/card* /dev/nvidiactl* | sed 's/ /:/g')
[[ -n "${cards}" ]] && addpredict "${cards}"
ROOTSYS="${S}" Xemake html
# if root.exe crashes, return code will be 0 due to gdb attach,
# so we need to check if last html file was generated;
# this check is volatile and can't catch crash on the last file.
[[ -f htmldoc/timespec.html ]] || die "looks like html doc generation crashed"
}
src_install() {
dodir /usr/share/doc/${PF}
# too large data to copy
mv htmldoc/* "${ED}usr/share/doc/${PF}/"
docompress -x "${EPREFIX}/usr/share/doc/${PF}/"
}

@ -1,14 +1,14 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/eselect-mode/eselect-mode-9999.ebuild,v 1.4 2013/10/22 18:31:18 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emacs/eselect-mode/eselect-mode-9999.ebuild,v 1.5 2013/10/29 21:09:37 ulm Exp $
EAPI=5
MY_PN="eselect"
EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/eselect.git"
EGIT_SOURCEDIR="${WORKDIR}/${MY_PN}"
EGIT_CHECKOUT_DIR="${WORKDIR}/${MY_PN}"
inherit elisp git-2
inherit elisp git-r3
DESCRIPTION="Emacs major mode for editing eselect files"
HOMEPAGE="http://wiki.gentoo.org/wiki/Project:Eselect"

@ -1,8 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>proxy-maintainers</herd>
<maintainer>
<email>maintainer-needed@gentoo.org</email>
<description>This package lacks a primary herd or maintainer.</description>
<email>oehme.markus@gmx.de</email>
<name>Markus Oehme</name>
<description>Assign bugs to him</description>
</maintainer>
<maintainer>
<email>mrueg@gentoo.org</email>
<name>Manuel Rüger</name>
<description>Proxy maintainer. CC him on bugs</description>
</maintainer>
</pkgmetadata>

@ -0,0 +1 @@
DIST conmux-0.15.1.tar.gz 50713 SHA256 52e0e8d8ae2ad679e498f2a8c0a01ec536738e9daf09d88f9e256c349c5e9cb7 SHA512 8138d6d10b4382709828277503d1c23c52fd43109ebad79073be9003c39a9e62c2b7d9d6e78a9e81797c22871985e50a58df0d538ff63e3f580c9a229b520107 WHIRLPOOL 0d6ea7183063d5a3dee4e884ad4de9d694fa0c8116e94f8bee9ed80f26e5ed009a8ec889365b90efe34ffbb2e3f9c3c28a408924fb8b9c68a8c63ecfa0e5325b

@ -0,0 +1,55 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/conmux/conmux-0.15.1.ebuild,v 1.1 2013/10/29 21:12:59 hwoarang Exp $
EAPI=5
inherit perl-module
DESCRIPTION="A console multiplexor"
HOMEPAGE="https://github.com/autotest/autotest"
SRC_URI="http://dev.gentoo.org/~hwoarang/distfiles/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="dev-perl/IO-Multiplex
dev-perl/URI"
DEPEND=""
src_install() {
perlinfo
emake BASE="${D}/usr" install
dodir /etc/${PN}
# no need to have the init script in /sbin
rm "${D}"/usr/sbin/start || die "failed to remove init script"
# console is too generic. Make it conmux-console instead
mv "${D}"/usr/bin/console "${D}"/usr/bin/${PN}-console || \
die "failed to rename console to conmux-console"
# Fix up directory for the module
perlinfo
dodir ${VENDOR_LIB}/${PN}
mv "${D}"/usr/lib/Conmux.pm "${D}"/${VENDOR_LIB}/. || \
die "failed to move the Conmux.pm module"
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newinitd "${FILESDIR}"/${PN}-registry.initd ${PN}-registry
newconfd "${FILESDIR}"/${PN}.confd ${PN}
newconfd "${FILESDIR}"/${PN}-registry.confd ${PN}-registry
dodoc README
}
pkg_postinst() {
elog ""
elog "If you have more than one serial ports and you want to use all"
elog "of them with conmux, copy and paste the 'conmux' init.d and conf.d"
elog "files as many times as you want, pointing each conf.d file to the"
elog "device's configuration file."
elog ""
elog "See /etc/conf.d/conmux and"
elog "https://github.com/autotest/autotest/wiki/Conmux-OriginalDocumentation"
elog "https://github.com/autotest/autotest/wiki/Conmux-Howto"
elog "for more information"
elog ""
}

@ -0,0 +1,4 @@
# Port for Registry listener
CONMAX_REGISTRY_PORT="63000"
# Log file
CONMAX_REGISTRY_LOG="/var/log/conmux-registry.log"

@ -0,0 +1,28 @@
#!/sbin/runscript
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
checkconfig() {
# Set sane defaults
if [[ -z ${CONMUX_REGISTRY_PORT} ]]; then
CONMUX_REGISTRY_PORT="63000"
fi
if [[ -z ${CONMUX_REGISTRY_LOG} ]]; then
CONMUX_REGISTRY_LOG="/var/log/conmux-registry.log"
fi
}
start() {
checkconfig
ebegin "Starting conmux daemon"
touch ${CONMUX_REGISTRY_LOG} ${CONMUX_REGISTRY_FILE}
start-stop-daemon -b --start -p /run/conmux-registry.pid \
--exec /usr/sbin/conmux-registry \
${CONMUX_REGISTRY_PORT} ${CONMUX_REGISTRY_FILE}
}
stop() {
ebegin "Stopping conmux daemon"
start-stop-daemon --stop --pidfile /run/conmux-registry.pid
eend $?
}

@ -0,0 +1,14 @@
# Configuration file
# It should point to a valid device configuration file
# eg CONMUX_CONFIG="/etc/conmux/deviceA.cf
#
# See https://github.com/autotest/autotest/wiki/Conmux-Howto
# and https://github.com/autotest/autotest/wiki/Conmux-OriginalDocumentation
# for examples
#
# Default value is empty so the init script will fail and force you
# to create a new config
#
CONMUX_CONFIG=""
# Log file
CONMUX_LOG="/var/log/conmux.log"

@ -0,0 +1,32 @@
#!/sbin/runscript
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
checkconfig() {
if [[ ! -f ${CONMUX_CONFIG} ]]; then
eerror ""
eerror "No conmux configuration file was found!"
eerror "Please read the conmux README file."
eerror ""
return 1
fi
# Sane default
if [[ -z ${CONMUX_LOG} ]]; then
CONMUX_LOG="/var/log/conmux.log"
fi
return 0
}
start() {
checkconfig || exit 1
ebegin "Starting CONMUX daemon"
start-stop-daemon -b --start -1 ${CONMUX_LOG} \
-2 ${CONMUX_LOG} -p /run/conmux.pid \
--exec /usr/sbin/conmux -- ${CONMUX_CONFIG}
}
stop() {
ebegin "Stopping CONMUX daemon"
start-stop-daemon --stop --pidfile /run/conmux.pid
eend $?
}

@ -0,0 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>hwoarang@gentoo.org</email>
<name>Markos Chandras</name>
</maintainer>
<longdescription lang="en">
CONMUX is a console abstractor. Presenting any console with a
consistent location, naming and semantic. Access to the console,
and hardreset of the machine is the same regardless of the underlying
access methodology.
</longdescription>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/discount/discount-2.1.6-r1.ebuild,v 1.1 2013/07/31 04:00:20 binki Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/discount/discount-2.1.6-r1.ebuild,v 1.2 2013/10/29 22:13:29 chainsaw Exp $
EAPI=5
@ -12,7 +12,7 @@ SRC_URI="http://www.pell.portland.or.us/~orc/Code/${PN}/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="minimal"
src_prepare() {

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/poppler/poppler-0.24.3.ebuild,v 1.1 2013/10/29 09:04:38 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/poppler/poppler-0.24.3.ebuild,v 1.2 2013/10/29 17:38:45 johu Exp $
EAPI=5
@ -72,7 +72,7 @@ src_configure() {
$(cmake-utils_use_with jpeg)
$(cmake-utils_use_with png)
$(cmake-utils_use_with qt4)
-DWITH_QT5=OFF # this probably does not work yet
-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Core=ON
$(cmake-utils_use_with tiff)
)
if use lcms; then

@ -0,0 +1,36 @@
Index: /icu/trunk/source/i18n/csrucode.cpp
===================================================================
--- /icu/trunk/source/i18n/csrucode.cpp (revision 34075)
+++ /icu/trunk/source/i18n/csrucode.cpp (revision 34076)
@@ -1,5 +1,5 @@
/*
**********************************************************************
- * Copyright (C) 2005-2012, International Business Machines
+ * Copyright (C) 2005-2013, International Business Machines
* Corporation and others. All Rights Reserved.
**********************************************************************
@@ -34,6 +34,7 @@
const uint8_t *input = textIn->fRawInput;
int32_t confidence = 0;
+ int32_t length = textIn->fRawLength;
- if (input[0] == 0xFE && input[1] == 0xFF) {
+ if (length >=2 && input[0] == 0xFE && input[1] == 0xFF) {
confidence = 100;
}
@@ -58,6 +59,7 @@
const uint8_t *input = textIn->fRawInput;
int32_t confidence = 0;
+ int32_t length = textIn->fRawLength;
- if (input[0] == 0xFF && input[1] == 0xFE && (input[2] != 0x00 || input[3] != 0x00)) {
+ if (length >= 4 && input[0] == 0xFF && input[1] == 0xFE && (input[2] != 0x00 || input[3] != 0x00)) {
confidence = 100;
}
@@ -82,5 +84,5 @@
int32_t confidence = 0;
- if (getChar(input, 0) == 0x0000FEFFUL) {
+ if (limit > 0 && getChar(input, 0) == 0x0000FEFFUL) {
hasBOM = TRUE;
}

@ -0,0 +1,119 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/icu/icu-51.1-r1.ebuild,v 1.1 2013/10/29 22:26:13 dilfridge Exp $
EAPI=5
inherit eutils toolchain-funcs base autotools
DESCRIPTION="International Components for Unicode"
HOMEPAGE="http://www.icu-project.org/"
SRC_URI="http://download.icu-project.org/files/icu4c/${PV/_/}/icu4c-${PV//./_}-src.tgz"
LICENSE="BSD"
SLOT="0/51.1"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 -amd64-fbsd -x86-fbsd"
IUSE="debug doc examples static-libs"
DEPEND="
doc? (
app-doc/doxygen[dot]
)
"
S="${WORKDIR}/${PN}/source"
PATCHES=(
"${FILESDIR}/${PN}-4.8.1-fix_binformat_fonts.patch"
"${FILESDIR}/${PN}-4.8.1.1-fix_ltr.patch"
"${FILESDIR}/${PN}-51.1-CVE-2013-2924.patch"
)
src_prepare() {
local variable
base_src_prepare
# Do not hardcode flags in icu-config and icu-*.pc files.
# https://ssl.icu-project.org/trac/ticket/6102
for variable in CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS; do
sed \
-e "/^${variable} =.*/s: *@${variable}@\( *$\)\?::" \
-i config/icu.pc.in \
-i config/Makefile.inc.in \
|| die
done
# Disable renaming as it is stupind thing to do
sed -i \
-e "s/#define U_DISABLE_RENAMING 0/#define U_DISABLE_RENAMING 1/" \
common/unicode/uconfig.h || die
# Fix linking of icudata
sed -i \
-e "s:LDFLAGSICUDT=-nodefaultlibs -nostdlib:LDFLAGSICUDT=:" \
config/mh-linux || die
# Append doxygen configuration to configure
sed -i \
-e 's:icudefs.mk:icudefs.mk Doxyfile:' \
configure.in || die
eautoreconf
}
src_configure() {
local cross_opts
# bootstrap for cross compilation
if tc-is-cross-compiler; then
CFLAGS="" CXXFLAGS="" ASFLAGS="" LDFLAGS="" \
CC="$(tc-getBUILD_CC)" CXX="$(tc-getBUILD_CXX)" AR="$(tc-getBUILD_AR)" \
RANLIB="$(tc-getBUILD_RANLIB)" LD="$(tc-getBUILD_LD)" \
./configure --disable-renaming --disable-debug \
--disable-samples --enable-static || die
emake
mkdir -p "${WORKDIR}/host/"
cp -a {bin,lib,config,tools} "${WORKDIR}/host/"
emake clean
cross_opts="--with-cross-build=${WORKDIR}/host"
fi
econf \
--disable-renaming \
$(use_enable debug) \
$(use_enable examples samples) \
$(use_enable static-libs static) \
${cross_opts}
}
src_compile() {
default
if use doc; then
doxygen -u Doxyfile || die
doxygen Doxyfile || die
fi
}
src_test() {
# INTLTEST_OPTS: intltest options
# -e: Exhaustive testing
# -l: Reporting of memory leaks
# -v: Increased verbosity
# IOTEST_OPTS: iotest options
# -e: Exhaustive testing
# -v: Increased verbosity
# CINTLTST_OPTS: cintltst options
# -e: Exhaustive testing
# -v: Increased verbosity
emake -j1 VERBOSE="1" check
}
src_install() {
default
dohtml ../readme.html
use doc && dohtml -p api -r doc/html/
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/icu/icu-51.2.ebuild,v 1.5 2013/07/24 13:24:10 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/icu/icu-51.2-r1.ebuild,v 1.1 2013/10/29 22:26:13 dilfridge Exp $
EAPI=5
@ -23,6 +23,10 @@ DEPEND="
S="${WORKDIR}/${PN}/source"
PATCHES=(
"${FILESDIR}/${PN}-51.1-CVE-2013-2924.patch"
)
src_prepare() {
local variable

@ -5,6 +5,7 @@ DIST py-1.4.13.tar.gz 189278 SHA256 ec1dc7fe04066e7ab93e1ac457f04bc301778a48bf36
DIST py-1.4.14.tar.gz 188722 SHA256 a1915fffc0590a104fd033466469c7f074a1b524d1a08c7fc501f406a0d8526f SHA512 571475cab18bd5bd1e37244c6332500e2a086c402f5817e140a319fadec4ceed5220d098b1857f47031b623c2f61055996fa65d7d0be13f5483893f32de07668 WHIRLPOOL 53c1e0d6866090dc5ff74d00b72ed36ca1d015f3c47852e911200849cf0590f322b714fc2807b54bfec490a3ec059759914f0af2fba78a8c474374c3b640906d
DIST py-1.4.15.tar.gz 189237 SHA256 656634e1846d568ed22c872b5e158a4d5eef174dd5b245186e78b94a0258c042 SHA512 a1ec5642e783580aa3da23ba36f611eaac756cd40448c73fca05c96530563db18d2202778c1b7211e122b293431156c01ef43c3bc7e978b6904c5c3906520d77 WHIRLPOOL 945b560c3e892f2278e898c72d789137bc4344aeb7400dd092329b4587f16eeb368f34585373db222075ef7aa2cd5c6be16254f574eeff95fa9846e1a0466053
DIST py-1.4.17.tar.gz 190429 SHA256 45d74855a614c73f97b0cbbe5615e5be34fa623ecf5ee6b7a4417f9a52665fb7 SHA512 da581ca126fcd932a5ab190ff73f5555f287bfd431d0ade0e2972e5ad9b692755b57c2cc1f0d215081345a5e141d7253114ca1b64ff9966a489522996a3c13cf WHIRLPOOL 88b030b6775e3db512caaeefb3a2e31b7b25b44bd8961b3b1a37ce98bb4a70f571e772aefc40d174427d504d628ae89d9c664a6b5113de89a0e795ba66f9ca0a
DIST py-1.4.18.tar.gz 190792 SHA256 2aa6e23a43fd8582e5ef35ce08e72d9184abea532a1e337397b0c15460f91ca2 SHA512 cc2d547b5ddad98128c32f97afec4c022069540d9c15d469e9c45a4a1a59a5bc4916da2029bea587b4d1480c0867731fd2a4e46f465988754a371b2454e7bf07 WHIRLPOOL 7a29499381bcc032098f3b284ec9f18c2b359598c7a98f6ab8a10d573579277239426df90a51103a68d09f6b7303458f82af15d422cd5d56cf8f318bda1d9833
DIST py-1.4.5.zip 225478 SHA256 8425c7140cfc5acf5b67cfb2f2af8d835ab2f6663ee2ca3d7206c1d81e1d35ea SHA512 d82a28599d930508ffbd96e7bedb6a3655b176fc42310184c69a4befd868ea4d6c9936eb5e4e8d5d89482e6e925211f8517d767509a1ea8db072a7fba32fdcb1 WHIRLPOOL 2301988868b61c8f571aab92b73cff76a3b5470b4fb8af5fff7ab1b3721f03775032e80f6a3447147bd31662de9d5515e035b709ad949392dff4986fda4e006d
DIST py-1.4.7.zip 227360 SHA256 b66ec2289357146be31a5a2050e1e298654da33c95a50b890bc09c764b905ff2 SHA512 091a4e0e73b3716ea91d343066eff0d05e5ae4d20c0416e63d75a4f8b243306eaec7cf8a0a740169f0db8085212a92fa4451393edf94e498d0cfd32296369e78 WHIRLPOOL 45b35cf757af0d60ed92b913fd899ce33175c31917d756a8dd1c1bd5ddf19bd30d59e9efec0192e11a44238acb64e3803fa16bb98d36651ba44cdebca435c1d5
DIST py-1.4.8.zip 228276 SHA256 e29f881fc54919e0faecc2c44913d1c32ff6fbb7097889bc9b384ddadb4949a5 SHA512 a4221a375e2fb03ff5aa494bdaf29d361ba93d2e57671289c9e27a41c11b5dc3d4d3cae4aac84c7ca0637f44befba7a11f27afd356347c02151aa9f40d6adb32 WHIRLPOOL 32d4a88effcd79cf9fffbbab56ef6f138d008aa02f3e81ff826f665aa1e514c18e7b15df1c17d188b0f9282d00ef879f1881e16f3c038202b5aa54dfa5e17bd0

@ -0,0 +1,27 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/py/py-1.4.18.ebuild,v 1.1 2013/10/30 08:00:35 radhermit Exp $
EAPI="5"
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy2_0 )
inherit distutils-r1
DESCRIPTION="library with cross-python path, ini-parsing, io, code, log facilities"
HOMEPAGE="http://pylib.readthedocs.org/ http://pypi.python.org/pypi/py"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="test"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( >=dev-python/pytest-2[${PYTHON_USEDEP}] )"
RDEPEND=""
DOCS=( CHANGELOG README.txt )
python_test() {
py.test || die "testing failed with ${EPYTHON}"
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pycrypto/pycrypto-2.6.1.ebuild,v 1.1 2013/10/20 08:54:05 djc Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/pycrypto/pycrypto-2.6.1.ebuild,v 1.2 2013/10/29 17:07:40 jer Exp $
EAPI=5
@ -14,7 +14,7 @@ SRC_URI="http://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/${P}.tar.gz"
LICENSE="PSF-2 public-domain"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="doc +gmp"
RDEPEND="gmp? ( dev-libs/gmp )"

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pycups/pycups-1.9.63.ebuild,v 1.5 2013/10/25 14:09:20 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/pycups/pycups-1.9.63.ebuild,v 1.6 2013/10/29 22:20:52 chainsaw Exp $
EAPI=5
@ -12,7 +12,7 @@ HOMEPAGE="http://cyberelk.net/tim/data/pycups/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
SLOT="0"
IUSE="doc examples"

@ -0,0 +1,69 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-exec/python-exec-2.0-r1.ebuild,v 1.6 2013/10/29 17:58:32 mgorny Exp $
EAPI=5
# Kids, don't do this at home!
inherit python-utils-r1
PYTHON_COMPAT=( "${_PYTHON_ALL_IMPLS[@]}" )
inherit autotools-utils python-r1 versionator
DESCRIPTION="Python script wrapper"
HOMEPAGE="https://bitbucket.org/mgorny/python-exec/"
SRC_URI="mirror://bitbucket/mgorny/${PN}/downloads/${P}.tar.bz2"
LICENSE="BSD"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
# Temporarily fail-safe to avoid breaking systems.
PDEPEND="dev-python/python-exec:0"
src_configure() {
local pyimpls i EPYTHON
for i in "${PYTHON_COMPAT[@]}"; do
python_export "${i}" EPYTHON
pyimpls+=" ${EPYTHON}"
done
local myeconfargs=(
--with-eprefix="${EPREFIX}"
--with-python-impls="${pyimpls}"
)
autotools-utils_src_configure
}
cleanup_vardb_deps() {
local v
for v in ${REPLACING_VERSIONS}; do
# if 2.0-r1+ was installed already, no need for cleaning up again.
if version_is_at_least 2.0-r2 ${v}; then
return 0
fi
done
local f files=()
for f in "${EROOT%/}"/var/db/pkg/*/*/*DEPEND; do
if grep -q 'dev-python/python-exec\[' "${f}"; then
files+=( "${f}" )
fi
done
if [[ ${files[@]} ]]; then
ebegin "Fixing unslotted python-exec dependencies in installed packages"
sed -i -e 's,dev-python/python-exec\[,dev-python/python-exec:0[,g' \
"${files[@]}"
eend ${?}
# touch packages, categories and vardb. suggested by Arfrever.
touch "${files[@]%/*}" "${files[@]%/*/*}" "${EROOT%/}"/var/db/pkg
fi
}
pkg_postinst() {
cleanup_vardb_deps
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-exec/python-exec-2.0-r2.ebuild,v 1.1 2013/10/26 16:35:52 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-exec/python-exec-2.0-r2.ebuild,v 1.2 2013/10/29 17:58:32 mgorny Exp $
EAPI=5
@ -19,6 +19,9 @@ SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
# Temporarily fail-safe to avoid breaking systems.
PDEPEND="dev-python/python-exec:0"
src_configure() {
local pyimpls i EPYTHON
for i in "${PYTHON_COMPAT[@]}"; do

@ -0,0 +1,69 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-exec/python-exec-2.0-r3.ebuild,v 1.1 2013/10/29 17:58:32 mgorny Exp $
EAPI=5
# Kids, don't do this at home!
inherit python-utils-r1
PYTHON_COMPAT=( "${_PYTHON_ALL_IMPLS[@]}" )
inherit autotools-utils python-r1 versionator
DESCRIPTION="Python script wrapper"
HOMEPAGE="https://bitbucket.org/mgorny/python-exec/"
SRC_URI="mirror://bitbucket/mgorny/${PN}/downloads/${P}.tar.bz2"
LICENSE="BSD"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
# Temporarily fail-safe to avoid breaking systems.
PDEPEND="dev-python/python-exec:0"
src_configure() {
local pyimpls i EPYTHON
for i in "${PYTHON_COMPAT[@]}"; do
python_export "${i}" EPYTHON
pyimpls+=" ${EPYTHON}"
done
local myeconfargs=(
--with-eprefix="${EPREFIX}"
--with-python-impls="${pyimpls}"
)
autotools-utils_src_configure
}
cleanup_vardb_deps() {
local v
for v in ${REPLACING_VERSIONS}; do
# if 2.0-r1+ was installed already, no need for cleaning up again.
if version_is_at_least 2.0-r2 ${v}; then
return 0
fi
done
local f files=()
for f in "${EROOT%/}"/var/db/pkg/*/*/*DEPEND; do
if grep -q 'dev-python/python-exec\[' "${f}"; then
files+=( "${f}" )
fi
done
if [[ ${files[@]} ]]; then
ebegin "Fixing unslotted python-exec dependencies in installed packages"
sed -i -e 's,dev-python/python-exec\[,dev-python/python-exec:0[,g' \
"${files[@]}"
eend ${?}
# touch packages, categories and vardb. suggested by Arfrever.
touch "${files[@]%/*}" "${files[@]%/*/*}" "${EROOT%/}"/var/db/pkg
fi
}
pkg_postinst() {
cleanup_vardb_deps
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-exec/python-exec-2.9999.ebuild,v 1.6 2013/10/26 16:35:52 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/python-exec/python-exec-2.9999.ebuild,v 1.7 2013/10/29 17:58:32 mgorny Exp $
EAPI=5
@ -27,6 +27,9 @@ SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
# Temporarily fail-safe to avoid breaking systems.
PDEPEND="dev-python/python-exec:0"
#if LIVE
KEYWORDS=
SRC_URI=

@ -1,3 +1,2 @@
DIST xmltodict-0.7.0.tar.gz 12193 SHA256 3868de239d2e487402eef15ab733ad8eea9c06f31422845571557b0b91f84dd7 SHA512 2d8154209dd445bcba0782932436ee89e85ec067f03860a77684e19e2ee3ba8e1c164a1cb763a054fdcebd93818664dbb64831bea49e5991e737b4e774795148 WHIRLPOOL 0441da6f9c94888672290003279f690430a8f11d17561eb640abda84766ef37b3d311c5d044e8e707d722bb8c997c26f0b7c0c74c2223858495d230e30831779
DIST xmltodict-0.8.1.tar.gz 30348 SHA256 d02e6320413b9c2c5b26e21fe670cb461e2be5af384201de74cff4ea14219a63 SHA512 6f6906d6617231385f611fb1e193988dfc09f2dfc51f327c9293f09e024db28e0f79df8d38b3c0a757c14eb8f7fd4067f0ad492e1db437399b62ca493a84c9b1 WHIRLPOOL 9f683a919330e66dfb79b6b7c7ab1809f299c920413bd7e64784024bf55f352b7b63b1c0582207861b8385b1900c74d7cbd67a296dae3480da683f1c1aaff399
DIST xmltodict-0.8.3.tar.gz 12239 SHA256 c532590ec58960dc3cca5bd0d4aa4a8774d8a7be537450a23896c5d15c796f55 SHA512 c0961942a99f1ccd5820ac5fd1502fd72d8318a812934f4d4538b5d916ec7a843e9ec96063bc158805be972ec1aecc8015ace50d40e7205c6dbe2fda3dfb8111 WHIRLPOOL 236a819c35b642e9865a318d46da57ab7be83c0dde611dc6af95356a9c56c757d12ba38c91e4f48cc71517ee1fb3534866767362f42ea9579c361d3cad8e0cd1

@ -1,22 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/xmltodict/xmltodict-0.8.1.ebuild,v 1.1 2013/10/21 06:41:13 patrick Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} )
inherit distutils-r1
DESCRIPTION="Makes working with XML feel like you are working with JSON"
HOMEPAGE="https://github.com/martinblech/xmltodict/ https://pypi.python.org/pypi/xmltodict/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
DEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
python_test() {
nosetests || die "Tests fail with ${EPYTHON}"
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/xmltodict/xmltodict-0.8.3.ebuild,v 1.1 2013/10/28 06:55:35 patrick Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/xmltodict/xmltodict-0.8.3.ebuild,v 1.2 2013/10/29 19:00:07 radhermit Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} )
@ -15,7 +15,15 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
DEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose[${PYTHON_USEDEP}] )"
python_prepare_all() {
# avoid setuptools sandbox issues, bug #489726
sed -i '/setup_requires/d' setup.py || die
distutils-r1_python_prepare_all
}
python_test() {
nosetests || die "Tests fail with ${EPYTHON}"

@ -0,0 +1,28 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/annoy/annoy-0.5.6-r1.ebuild,v 1.1 2013/10/30 04:07:02 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RESTRICT=test
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC="rdoc"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="CHANGES.txt README.rdoc"
RUBY_FAKEGEM_BINWRAP=""
inherit ruby-fakegem
DESCRIPTION="Like your annoying friend that asks you questions all the time"
HOMEPAGE="http://solutious.com/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_rdepend '>=dev-ruby/highline-1.5.0'

@ -0,0 +1,19 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/columnize/columnize-0.3.6-r1.ebuild,v 1.1 2013/10/30 03:41:02 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="AUTHORS ChangeLog NEWS README.md"
inherit ruby-fakegem
DESCRIPTION="Sorts an array in column order."
HOMEPAGE="http://rubyforge.org/projects/rocky-hacks/"
LICENSE="Ruby"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
IUSE=""

@ -0,0 +1,27 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/countdownlatch/countdownlatch-1.0.0-r1.ebuild,v 1.1 2013/10/29 16:54:21 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_TEST="test"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem
DESCRIPTION="Synchronization aid that allows threads to wait until a set of operations in other threads completes"
HOMEPAGE="https://github.com/benlangfeld/countdownlatch"
IUSE=""
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64"
ruby_add_bdepend "test? ( dev-ruby/minitest )"
all_ruby_prepare() {
sed -i -e '/bundler/ s:^:#:' Rakefile || die
}

@ -0,0 +1,24 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/deep_merge/deep_merge-1.0.0-r1.ebuild,v 1.1 2013/10/29 16:52:53 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README"
inherit ruby-fakegem
DESCRIPTION="A simple set of utility functions for Hash"
HOMEPAGE="http://trac.misuse.org/science/wiki/DeepMerge"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
each_ruby_test() {
${RUBY} -S testrb test/test_*.rb || die
}

@ -0,0 +1,32 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/dep_selector/dep_selector-0.0.8-r1.ebuild,v 1.1 2013/10/30 03:57:06 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
inherit ruby-fakegem
DESCRIPTION="constraint based package dependency resolver"
HOMEPAGE="https://github.com/algorist/dep_selector"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND+=" >=dev-libs/gecode-3.5.0"
RDEPEND+=" >=dev-libs/gecode-3.5.0"
each_ruby_configure() {
${RUBY} -Cext/dep_gecode extconf.rb || die "extconf.rb failed"
}
each_ruby_compile() {
emake -Cext/dep_gecode CFLAGS="${CFLAGS} -fPIC" archflag="${LDFLAGS}" V=1
cp ext/dep_gecode/dep_gecode$(get_modname) lib/ || die
cp ext/dep_gecode/lib/dep_selector_to_gecode.rb lib/ || die
}

@ -0,0 +1,27 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/deprecated/deprecated-2.0.1-r4.ebuild,v 1.1 2013/10/29 15:49:39 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_RECIPE_TEST="none"
inherit ruby-fakegem
DESCRIPTION="A Ruby library for handling deprecated code"
HOMEPAGE="http://rubyforge.org/projects/deprecated"
SRC_URI="mirror://rubyforge/deprecated/${P}.tar.gz"
LICENSE="BSD"
SLOT="2"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
each_ruby_test() {
ruby-ng_testrb-2 -Ilib:. test/deprecated.rb
}

@ -0,0 +1,26 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/deprecated/deprecated-3.0.1-r1.ebuild,v 1.1 2013/10/29 15:49:39 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
inherit ruby-fakegem
DESCRIPTION="A Ruby library for handling deprecated code"
HOMEPAGE="http://rubyforge.org/projects/deprecated"
LICENSE="BSD"
SLOT="3"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/test-unit:2 )"
each_ruby_test() {
${RUBY} -Ilib:. test/test_deprecated.rb || die "test failed"
}

@ -0,0 +1,22 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/exifr/exifr-1.1.3-r1.ebuild,v 1.1 2013/10/30 04:28:53 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_DOCDIR="doc/api"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.rdoc"
inherit ruby-fakegem
DESCRIPTION="A library to read EXIF info from JPEG and TIFF images."
HOMEPAGE="http://exifr.rubyforge.org/"
# License is not specified in source distribution but is in the GitHub
# repository.
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

@ -0,0 +1,34 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/extlib/extlib-0.9.16-r1.ebuild,v 1.1 2013/10/29 23:34:57 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC="-f tasks/yard.rake yard"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.rdoc"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_GEMSPEC=${PN}.gemspec
inherit ruby-fakegem
DESCRIPTION="Support library for DataMapper and Merb"
HOMEPAGE="http://extlib.rubyforge.org"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""
ruby_add_bdepend "
doc? ( dev-ruby/yard )
test? ( >=dev-ruby/json-1.4.0 )"
all_ruby_prepare() {
sed -i -e '/spec/d' spec/spec_helper.rb || die
# We always use json.
sed -i -e 's/json_pure/json/' ${RUBY_FAKEGEM_GEMSPEC} || die
}

@ -1,2 +1,4 @@
DIST ffi-git-1.1.5.tgz 894189 SHA256 0782f58701509524a015455d34a195d7dc0a408fb516703595c6332beaee36b6 SHA512 9fc0dea9df9a455b68e0cf71e05bfd9b0f8ba1fbc08b4dc84a18e10c19485ab6e7912263a3af4e0f2c3123b2fe7b73197ed5273c4083abe4b5665e549898513e WHIRLPOOL 0d71b737ddbe311d52eb4677daa2505d45b135872bf58874f6fde04130452cde8ef7892469374c564bf202501fc3f6b2da4f9ee7d1e9819ec3db3eef7682b211
DIST ffi-git-1.4.0.tgz 889839 SHA256 696d58704ed002c32b53fb83db5cd985058a2839f04e7228e00ca60f06855948 SHA512 f99d47a450b90a1c10a5db54b0421b8a6a01564144443429fb8071940ef7020130b5b8f71c0198e0b15a6cbc61742b2cd3ef60a92f5c3cc4077e9c2074ac771c WHIRLPOOL 64300f19741ed59b44424cb68eac42cb886826d3019f533c8548c14e626cb5fa3c998337227c83a0e90a7e0700526e12e4e3a84b29fa6f2fdb2d98ca93693488
DIST ffi-git-1.9.1.tgz 897946 SHA256 6dc37856187271ebc671c897b6d985e56c9d8803557937aa9a47bf0b8683cea4 SHA512 7b3d464accb07b296693977b7314c6c40de37d1b27e347f43c15e77ab7c590db2b0e75bbf8f9ad9e2b8a95bd53b47d5d5e6ac8bf145e33f1e4e904ecdcd28cbc WHIRLPOOL 5039d02f1f2be53b350e921c2c562b383c7e5d56449693c180858beffcdb1706d33e1e431769b9742271be1db96395103f45b92d3f3a8e904a18f9bdcd2af781
DIST ffi-git-1.9.2.tgz 881887 SHA256 f5efd29ad6d6d1678d4e5b48229bc346233c6e5cec961e61ef67439727f891da SHA512 0e3cb798bd58f49cf5803047bb90a753f3f1afdadb70cae28b620a61871ec686847c77565adc5b0dc62fb49c892109777a291089e4052e0fb5537e233b818ee1 WHIRLPOOL 92dcf0ca470a3f2832254af44a4466c6ab1e929b00751f6316f1161d8eb52174d81d22da75b6dc6036dbcc602f7bda8831e3d1bf7f46fc10ad5916c6d3b980f6

@ -0,0 +1,52 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ffi/ffi-1.9.1.ebuild,v 1.1 2013/10/29 15:55:55 graaff Exp $
EAPI=5
# jruby → unneeded, this is part of the standard JRuby distribution, and
# would just install a dummy.
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_TEST="specs"
RUBY_FAKEGEM_TASK_DOC="doc:yard"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem
DESCRIPTION="Ruby extension for programmatically loading dynamic libraries"
HOMEPAGE="http://wiki.github.com/ffi/ffi"
SRC_URI="http://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${PN}-git-${PV}.tgz"
IUSE=""
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
RDEPEND="${RDEPEND} virtual/libffi"
DEPEND="${DEPEND} virtual/libffi"
ruby_add_bdepend "dev-ruby/rake-compiler dev-ruby/yard
test? ( dev-ruby/rspec:2 )"
ruby_add_rdepend "virtual/ruby-threads"
all_ruby_prepare() {
sed -i -e '/tasks/ s:^:#:' \
-e '/Gem::Tasks/,/end/ s:^:#:' Rakefile || die
}
each_ruby_compile() {
${RUBY} -S rake compile || die "compile failed"
${RUBY} -S rake -f gen/Rakefile || die "types.conf generation failed"
}
all_ruby_install() {
all_fakegem_install
docinto examples
dodoc samples/*
}

@ -0,0 +1,52 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ffi/ffi-1.9.2.ebuild,v 1.1 2013/10/30 05:47:36 mrueg Exp $
EAPI=5
# jruby → unneeded, this is part of the standard JRuby distribution, and
# would just install a dummy.
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_TEST="specs"
RUBY_FAKEGEM_TASK_DOC="doc:yard"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem
DESCRIPTION="Ruby extension for programmatically loading dynamic libraries"
HOMEPAGE="http://wiki.github.com/ffi/ffi"
SRC_URI="http://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${PN}-git-${PV}.tgz"
IUSE=""
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
RDEPEND+=" virtual/libffi"
DEPEND+=" virtual/libffi"
ruby_add_bdepend "dev-ruby/rake-compiler dev-ruby/yard
test? ( dev-ruby/rspec:2 )"
ruby_add_rdepend "virtual/ruby-threads"
all_ruby_prepare() {
sed -i -e '/tasks/ s:^:#:' \
-e '/Gem::Tasks/,/end/ s:^:#:' Rakefile || die
}
each_ruby_compile() {
${RUBY} -S rake compile || die "compile failed"
${RUBY} -S rake -f gen/Rakefile || die "types.conf generation failed"
}
all_ruby_install() {
all_fakegem_install
docinto examples
dodoc samples/*
}

@ -0,0 +1,27 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/inifile/inifile-2.0.2-r1.ebuild,v 1.1 2013/10/29 23:28:15 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_TEST="test"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.md History.txt"
inherit ruby-fakegem eutils
DESCRIPTION="Native Ruby package for reading and writing INI files."
HOMEPAGE="https://github.com/TwP/inifile"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
each_ruby_test() {
${RUBY} -S testrb test/test_*.rb || die
}

@ -0,0 +1,42 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/iobuffer/iobuffer-1.1.2-r3.ebuild,v 1.1 2013/10/29 15:39:05 mrueg Exp $
EAPI=5
# jruby: mkmf
# rbx: Kernel(Autoload)#allocate (method_missing)
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
inherit multilib ruby-fakegem
GITHUB_USER="tarcieri"
DESCRIPTION="IO::Buffer is a fast byte queue which is primarily intended for non-blocking I/O applications"
HOMEPAGE="http://github.com/tarcieri/iobuffer"
SRC_URI="http://github.com/${GITHUB_USER}/iobuffer/tarball/v${PV} -> ${PN}-git-${PV}.tgz"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~x86-macos"
SLOT="0"
IUSE=""
RUBY_S="${GITHUB_USER}-${PN}-*"
all_ruby_prepare() {
rm .rspec lib/.gitignore Gemfile* || die
}
each_ruby_configure() {
${RUBY} -C ext extconf.rb || die
sed -i -e "s/^ldflags = /ldflags = $\(LDFLAGS\) /" ext/Makefile || die
}
each_ruby_compile() {
emake -C ext V=1
cp ext/iobuffer_ext$(get_modname) lib/ || die
}

@ -1,2 +1,3 @@
DIST jquery-ui-rails-3.0.1.gem 155136 SHA256 190f4984e28d48f684d320b37ad23138757ba9ce65065488ec29a8df226f5ae0 SHA512 cc9b0e5ebb96edf11503473f0b841bf0803b20c3c6205e2e50747ac4c981cfb049b2ef393bf3605b1fe2d09060fbe9d484771f9e25a711d7c33b9375b759014c WHIRLPOOL 83def4e01b112e3617e550014ea4fd9a5cf8ed1abb3adcf36751e0458df449d9dcb37c1a66f663729604cddfb712aca1593d9134956ec15ff3770c3765ebc0a7
DIST jquery-ui-rails-4.0.5.gem 154112 SHA256 8ff0bfd18143d0e6a773296da877aee7ec930f66923093c4b6bdbc2a6b54d9aa SHA512 54cf896ba4621b65af66da1998f0018382117f5f8851471b7caafbdbab23208a9da04d44f84ba44f6e589fd5f55a57cc979769ac24d67b2c6ca61e4656089280 WHIRLPOOL ba99d42e2037d60b4267a6987e81e2f97c6f28796ebf2a65eb62ec8defd0fd2d3e343dbbfc8201a1d8da8ff00eeb61773e38dd105da3fc7aff1ca9cb9712b39e
DIST jquery-ui-rails-4.1.0.gem 154624 SHA256 0011122961ea2d6337d6ea9491c5948ace27e595a63a1472573a7a44f8438234 SHA512 ebf6ae405ff3637e62bb32b0c484af76ded41dd0eaaa7f67ef324acb0af3a56c1ab5e12f5b6f53faea3c9a8b3ffb43bd9d2eb791471911db9f659265095a09e9 WHIRLPOOL b2823a822fa37c0726c7065316f9bf1b9e5e912aad08a939ad70acd3eff8af494bc78e5182f279d1f3f24a067b59e880baeab23bc2b7faaf206b85d76fc94981

@ -0,0 +1,26 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/jquery-ui-rails/jquery-ui-rails-4.1.0.ebuild,v 1.1 2013/10/30 05:28:52 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_EXTRADOC="History.md README.md"
RUBY_FAKEGEM_EXTRAINSTALL="app"
inherit ruby-fakegem
DESCRIPTION="The jQuery UI assets for the Rails 3.1+ asset pipeline."
HOMEPAGE="http://www.rubyonrails.org"
LICENSE="MIT"
SLOT="4"
KEYWORDS="~amd64 ~arm ~x86 ~x64-macos"
IUSE=""
ruby_add_rdepend ">=dev-ruby/railties-3.1"

@ -0,0 +1,44 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/kramdown/kramdown-1.2.0-r1.ebuild,v 1.1 2013/10/30 03:35:55 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS CONTRIBUTERS"
RUBY_FAKEGEM_EXTRAINSTALL="data"
inherit ruby-fakegem
DESCRIPTION="Yet-another-markdown-parser but fast, pure Ruby, using a strict syntax definition"
HOMEPAGE="http://kramdown.rubyforge.org/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="latex"
LATEX_DEPS="latex? ( dev-texlive/texlive-latex dev-texlive/texlive-latexextra )"
RDEPEND+=" ${LATEX_DEPS}"
DEPEND+=" test? ( ${LATEX_DEPS} app-text/htmltidy )"
ruby_add_bdepend "doc? ( dev-ruby/rdoc )
test? ( >=dev-ruby/coderay-1.0.0
>=dev-ruby/stringex-1.5.1 )"
all_ruby_prepare() {
if ! use latex; then
# Remove latex tests. They will fail gracefully when latex isn't
# present at all, but not when components are missing (most
# notable ucs.sty).
sed -i -e '/latex -v/,/^ end/ s:^:#:' test/test_files.rb || die
fi
}
all_ruby_install() {
all_fakegem_install
doman man/man1/kramdown.1
}

@ -0,0 +1,29 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/matchy/matchy-0.5.2-r1.ebuild,v 1.1 2013/10/30 03:54:10 mrueg Exp $
EAPI=5
MY_OWNER="mcmire"
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_DOCDIR=""
RUBY_FAKEGEM_EXTRADOC=""
RUBY_FAKEGEM_NAME="${MY_OWNER}-${PN}"
inherit ruby-fakegem
DESCRIPTION="RSpec-esque matchers for use in Test::Unit"
HOMEPAGE="http://github.com/mcmire/matchy"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
# workaround for ruby 1.9.2, sent upstream after 0.5.2
each_ruby_test() {
RUBYLIB="$(pwd)${RUBYLIB+:${RUBYLIB}}" each_fakegem_test
}

@ -0,0 +1,21 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/memoize/memoize-1.3.1-r1.ebuild,v 1.1 2013/10/30 04:26:47 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="README"
inherit ruby-fakegem
DESCRIPTION="A Ruby library that lets you memoize methods"
HOMEPAGE="http://github.com/djberg96/memoize"
LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_bdepend "test? ( dev-ruby/test-unit:2 ) "

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/mkrf/mkrf-0.2.3-r2.ebuild,v 1.12 2013/01/08 08:39:53 nativemad Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/mkrf/mkrf-0.2.3-r2.ebuild,v 1.13 2013/10/29 16:23:47 graaff Exp $
EAPI="2"
USE_RUBY="ruby18 ruby19"
@ -26,6 +26,8 @@ IUSE=""
DEPEND="${DEPEND} test? ( virtual/libiconv dev-libs/libxml2 )"
RESTRICT="test"
each_ruby_test() {
RUBYLIB=. ${RUBY} -S rake test:integration || die
}

@ -0,0 +1,21 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/paint/paint-0.8.6-r1.ebuild,v 1.1 2013/10/30 04:02:11 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc README.rdoc"
inherit ruby-fakegem
DESCRIPTION="Terminal painter"
HOMEPAGE="https://github.com/janlelis/paint"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test doc"

@ -0,0 +1,36 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/patron/patron-0.4.18-r1.ebuild,v 1.1 2013/10/30 03:39:39 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_TEST="spec"
RUBY_FAKEGEM_EXTRADOC="README.txt"
inherit multilib ruby-fakegem
DESCRIPTION="Patron is a Ruby HTTP client library based on libcurl."
HOMEPAGE="http://toland.github.com/patron/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
#ruby_add_bdepend "test? ( dev-ruby/rspec:2 )"
DEPEND+=" net-misc/curl"
RDEPEND+=" net-misc/curl"
# Tests require a live web service that is not included in the distribution.
RESTRICT="test"
each_ruby_configure() {
${RUBY} -Cext/patron extconf.rb || die
}
each_ruby_compile() {
emake -Cext/patron V=1
cp ext/patron/session_ext$(get_modname) lib/patron/ || die "Unable to cp shared object file"
}

@ -0,0 +1,21 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/plist/plist-3.1.0-r1.ebuild,v 1.1 2013/10/30 03:58:25 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_DOCDIR="rdoc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.rdoc"
inherit ruby-fakegem
DESCRIPTION="A library to manipulate Property List files, also known as plists"
HOMEPAGE="http://plist.rubyforge.org/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE=""
RUBY_PATCHES=( "${FILESDIR}"/${P}-nordoc.patch )

@ -0,0 +1,41 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-dict/ruby-dict-0.9.4-r3.ebuild,v 1.1 2013/10/30 04:09:59 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
inherit ruby-ng
DESCRIPTION="RFC 2229 client in Ruby"
HOMEPAGE="http://www.caliban.org/ruby/ruby-dict.shtml"
SRC_URI="http://www.caliban.org/files/ruby/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
IUSE=""
RUBY_PATCHES=( "${PN}-ruby19.patch" )
each_ruby_test() {
ewarn "Tests will use network connection"
${RUBY} -Ilib ./rdict test || die
}
each_ruby_install() {
doruby lib/dict.rb || die "doruby failed"
}
all_ruby_install() {
dobin rdict
dodoc README Changelog TODO doc/rfc2229.txt
dohtml doc/dict.html doc/rdict.html
# This would probably need a 3rb section..
# doman doc/dict.3
doman doc/rdict.1
}

@ -0,0 +1,23 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-hmac/ruby-hmac-0.4.0-r1.ebuild,v 1.1 2013/10/30 04:34:21 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"
inherit ruby-fakegem
DESCRIPTION="A common interface to HMAC functionality as documented in RFC2104."
HOMEPAGE="http://ruby-hmac.rubyforge.org/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
ruby_add_bdepend "
doc? ( >=dev-ruby/hoe-2.5.0 )
test? ( >=dev-ruby/hoe-2.5.0 )"

@ -0,0 +1,34 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-inifile/ruby-inifile-2.0.0-r2.ebuild,v 1.1 2013/10/29 23:29:58 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
inherit ruby-ng
DESCRIPTION="Small library to parse INI-files in Ruby"
HOMEPAGE="http://raa.ruby-lang.org/project/ruby-inifile/"
SRC_URI="http://gregoire.lejeune.free.fr/${PN}_${PV}.tar.gz"
SLOT="0"
IUSE=""
LICENSE="Ruby"
KEYWORDS="~x86 ~amd64"
RUBY_S=${PN}
each_ruby_test() {
cd tests
for test in *.rb ; do
${RUBY} -I../lib $test || die
done
}
each_ruby_install() {
${RUBY} setup.rb config --prefix="${D}"/usr || die
${RUBY} setup.rb install || die
}
all_ruby_install() {
dodoc AUTHORS README
}

@ -0,0 +1,27 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-mp3info/ruby-mp3info-0.8-r1.ebuild,v 1.1 2013/10/29 23:37:38 mrueg Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="History.txt README.md"
inherit ruby-fakegem
DESCRIPTION="A pure Ruby library for access to mp3 files (internal infos and tags)"
HOMEPAGE="http://rubyforge.org/projects/ruby-mp3info/"
SRC_URI="https://github.com/moumar/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND+=" test? ( media-sound/id3v2 )"
ruby_add_bdepend "doc? ( dev-ruby/hoe )"
ruby_add_bdepend "test? ( dev-ruby/hoe )"

@ -1 +1,2 @@
DIST opengl-0.8.0.gem 458240 SHA256 cf6bed386dcf59749e089c3b9c4bfa9e7dae125b2e83d157e497ef332afcfd23 SHA512 cbae860fe5a486dfa6ff5f4a2d381cc000ae89f3ac386885416c2cab7e03266f017e456ce95ea83c559784e6ab50e18a947003bad9e420fcabed3ab63abd9965 WHIRLPOOL a3ae1f2ca9f22836b7376b1fff3e464eae4984bdd6a167e0a379f09e02f1b09a78962617572511f09261e5edcd3a01210cb43cb3d57b1f8b9186a3dc2e2ff3c0
DIST ruby-opengl-0.60.1.gem 245248 SHA256 aeeeac200acc0e7dad0f59dc47426ed7d3254c77f560cf3dfdecbdee5fa4ab7e SHA512 2ddb8acf3e74f48b173a6f5421f6ba57c82f6871d1f332dfe2c7a73a23de70b0e04d080dff103a03d369314c9b1bed19419e6c68a320d5faa1f310d436379624 WHIRLPOOL 3fcac347326d5a52668c45895e6df2693e4b4f63f336a95a7cd5bc1966493ef7e639369e2de9d19581e2341684c4109e09ecd2c94b0bfffd708ffbea63da3064

@ -0,0 +1,54 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-opengl/ruby-opengl-0.8.0.ebuild,v 1.1 2013/10/29 16:21:12 graaff Exp $
EAPI=5
USE_RUBY="ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""
# Two tests fails but the README already indicates that this may not
# work. Additionally these tests require access to video devices such as
# /dev/nvidiactl.
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_NAME="opengl"
RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
inherit multilib ruby-fakegem
DESCRIPTION="OpenGL / GLUT bindings for ruby"
HOMEPAGE="http://ruby-opengl.rubyforge.org/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
IUSE=""
DEPEND="${DEPEND}
virtual/opengl
media-libs/freeglut"
RDEPEND="${RDEPEND}
virtual/opengl
media-libs/freeglut"
each_ruby_configure() {
${RUBY} -Cext/opengl extconf.rb || die
}
each_ruby_compile() {
emake -C ext/opengl V=1
cp ext/*/*$(get_modname) lib/ || die
}
all_ruby_install() {
all_fakegem_install
dodoc -r docs
insinto /usr/share/doc/${PF}/examples
doins -r examples/* || die "Failed installing example files."
}

@ -0,0 +1,25 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-rc4/ruby-rc4-0.1.5-r1.ebuild,v 1.1 2013/10/29 15:32:04 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_DOCDIR="rdoc"
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit ruby-fakegem
DESCRIPTION="A pure Ruby implementation of the Rc4 algorithm."
HOMEPAGE="https://github.com/caiges/Ruby-RC4"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE=""
all_ruby_prepare() {
sed -i -e 's/"README"/"README.md"/' Rakefile || die
}

@ -0,0 +1,33 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-romkan/ruby-romkan-0.4-r5.ebuild,v 1.1 2013/10/30 04:13:05 mrueg Exp $
EAPI=5
# jruby
USE_RUBY="ruby18 ruby19 ruby20"
inherit ruby-ng
DESCRIPTION="A Romaji <-> Kana conversion library for Ruby"
HOMEPAGE="http://0xcc.net/ruby-romkan/"
SRC_URI="http://0xcc.net/ruby-romkan/${P}.tar.gz"
LICENSE="Ruby"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
DOCS="ChangeLog *.rd"
RUBY_PATCHES=( "${FILESDIR}/${PN}-ruby19.patch" )
each_ruby_test() {
${RUBY} -I. -Ke test.rb < /dev/null || die "test failed"
}
each_ruby_install() {
doruby romkan.rb
}
all_ruby_install() {
dodoc ${DOCS}
}

@ -0,0 +1,39 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-shout/ruby-shout-2.2.1-r1.ebuild,v 1.1 2013/10/30 04:37:56 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.textile"
inherit multilib ruby-fakegem
DESCRIPTION="A Ruby interface to libshout2"
HOMEPAGE="http://ruby-shout.rubyforge.org/"
LICENSE="Ruby"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
RDEPEND+=" >=media-libs/libshout-2.0"
DEPEND+=" >=media-libs/libshout-2.0"
each_ruby_configure() {
${RUBY} -Cext extconf.rb || die "extconf failed"
}
each_ruby_compile() {
emake -C ext V=1
}
each_ruby_install() {
each_fakegem_install
ruby_fakegem_newins ext/${PN#ruby-}_ext$(get_modname) lib/${PN#ruby-}_ext$(get_modname)
}

@ -0,0 +1,53 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-tcpwrap/ruby-tcpwrap-0.6-r2.ebuild,v 1.1 2013/10/30 04:21:26 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
inherit ruby-ng
DESCRIPTION="A TCP wrappers library for Ruby"
HOMEPAGE="http://raa.ruby-lang.org/list.rhtml?name=ruby-tcpwrap"
SRC_URI="http://shugo.net/archive/ruby-tcpwrap/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~mips ~ppc ~x86"
IUSE=""
DEPEND+=" net-libs/libident
sys-apps/tcp-wrappers"
RDEPEND+=" net-libs/libident
sys-apps/tcp-wrappers"
RUBY_S="${PN}"
RUBY_PATCHES=( "${P}-ruby19.patch" )
each_ruby_configure() {
${RUBY} extconf.rb || die "extconf.rb failed"
}
each_ruby_compile() {
# We have injected --no-undefined in Ruby as a safety precaution
# against broken ebuilds, but the Ruby-Gnome bindings
# unfortunately rely on the lazy load of other extensions; see bug
# #320545.
find . -name Makefile -print0 | xargs -0 \
sed -i -e 's:-Wl,--no-undefined ::' || die "--no-undefined removal failed"
emake V=1
}
each_ruby_install() {
emake DESTDIR="${D}" install V=1
}
all_ruby_install() {
dodoc README*
dohtml doc/*
docinto sample
dodoc sample/*
}

@ -0,0 +1,47 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-xslt/ruby-xslt-0.9.9-r2.ebuild,v 1.2 2013/10/30 04:16:31 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_EXTRADOC="ChangeLog.rdoc AUTHORS.rdoc README.rdoc"
inherit multilib ruby-fakegem
DESCRIPTION="A Ruby class for processing XSLT"
HOMEPAGE="http://www.rubyfr.net/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE=""
DEPEND+=" >=dev-libs/libxslt-1.1.12"
RDEPEND+=" >=dev-libs/libxslt-1.1.12"
all_ruby_prepare() {
# Remove forced -g compiler flag.
sed -i -e 's/-g //' ext/xslt_lib/extconf.rb || die
# One test fails but we have installed this code already for a long
# time so this probably isn't a regression. No upstream bug tracker
# to report the problem :-(
sed -i -e '/test_transformation_error/,/^ end/ s:^:#:' test/test.rb || die
}
each_ruby_configure() {
${RUBY} -C ext/xslt_lib extconf.rb || die
}
each_ruby_compile() {
emake -C ext/xslt_lib V=1
cp ext/xslt_lib/xslt_lib$(get_modname) lib/xml/ || die
}
each_ruby_test() {
${RUBY} -I../lib:lib -Ctest test.rb || die
}

@ -0,0 +1,38 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby-yadis/ruby-yadis-0.3.4-r2.ebuild,v 1.1 2013/10/30 04:23:04 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_EXTRADOC="README"
inherit ruby-fakegem
DESCRIPTION="A ruby library for performing Yadis service discovery"
HOMEPAGE="http://yadis.rubyforge.org/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="test"
each_ruby_prepare() {
# Remove live tests that require content that is no longer available.
rm test/test_discovery.rb || die
sed -i -e '/test_discovery/d' test/runtests.rb || die
}
each_ruby_test() {
${RUBY} -I../lib:lib:test -Ctest runtests.rb || die
}
all_ruby_install() {
all_fakegem_install
insinto /usr/share/doc/${PF}
doins -r examples
}

@ -0,0 +1,45 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ruby_parser/ruby_parser-3.2.2-r1.ebuild,v 1.1 2013/10/29 23:15:25 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.txt History.txt"
inherit ruby-fakegem
DESCRIPTION="A ruby parser written in pure ruby."
HOMEPAGE="https://github.com/seattlerb/ruby_parser"
LICENSE="MIT"
SLOT="3"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend ">=dev-ruby/sexp_processor-4.1:4
!<dev-ruby/ruby_parser-2.3.1-r1"
ruby_add_bdepend "doc? ( >=dev-ruby/hoe-2.9.1 )"
ruby_add_bdepend "test? ( >=dev-ruby/minitest-4.3 )"
all_ruby_prepare() {
# Remove reference to perforce method that is not in a released
# version of hoe-seattlerb.
#sed -i -e '/perforce/d' Rakefile || die
sed -i -e '/Hoe.plugin :isolate/ s:^:#:' Rakefile || die
}
each_ruby_prepare() {
case ${RUBY} in
*jruby)
# Disable tests failing on jruby related to //n regexp
# https://github.com/seattlerb/ruby_parser/issues/117
rm test/test_ruby_parser.rb || die
;;
esac
}

@ -0,0 +1,38 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r4.ebuild,v 1.1 2013/10/29 23:18:58 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
inherit ruby-fakegem
DESCRIPTION="A Ruby port of the SmartyPants PHP library."
HOMEPAGE="http://chneukirchen.org/repos/rubypants/README"
LICENSE="Ruby"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
all_ruby_prepare() {
# the metadata format is ancient, and has quite a bit of trouble,
# remove it and let it use a generated one.
rm ../metadata || die
}
each_ruby_install() {
ruby_fakegem_install_gemspec
ruby_fakegem_newins rubypants.rb lib/rubypants.rb
}
each_ruby_test() {
# The rakefile doesn't really implement it properly, so simply
# replace it here.
${RUBY} -I. test_rubypants.rb || die "tests failed"
}

@ -0,0 +1,27 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sfl/sfl-2.2-r1.ebuild,v 1.1 2013/10/29 15:35:52 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
inherit ruby-fakegem
DESCRIPTION="This library provides spawn() which is almost perfectly compatible with ruby 1.9's."
HOMEPAGE="https://github.com/ujihisa/spawn-for-legacy"
LICENSE="|| ( Ruby BSD-2 )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""
all_ruby_prepare() {
rm -f Gemfile* || die
sed -i -e "s:/tmp:${TMPDIR}:" spec/sfl_spec.rb || die
}

@ -0,0 +1,22 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/spork/spork-0.9.2-r1.ebuild,v 1.1 2013/10/30 03:44:54 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.rdoc"
RUBY_FAKEGEM_EXTRAINSTALL="assets"
inherit ruby-fakegem
DESCRIPTION="Spork is Tim Harper's implementation of test server."
HOMEPAGE="https://github.com/sporkrb/spork"
LICENSE="MIT"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
SLOT="0"
IUSE=""

@ -0,0 +1,28 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/text-hyphen/text-hyphen-1.4.1-r1.ebuild,v 1.1 2013/10/30 03:51:40 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="README.rdoc History.rdoc"
inherit ruby-fakegem
DESCRIPTION="Hyphenates various words according to the rules of the language the word is written in."
HOMEPAGE="http://rubyforge.org/projects/text-format"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_bdepend "
doc? (
>=dev-ruby/hoe-2.8.0
)
test? (
>=dev-ruby/hoe-2.8.0
)"

@ -0,0 +1,32 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/transaction-simple/transaction-simple-1.4.0.2-r1.ebuild,v 1.1 2013/10/30 03:57:00 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20"
RUBY_FAKEGEM_RECIPE_TEST="none"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
inherit ruby-fakegem
DESCRIPTION="Provides transaction support at the object level"
HOMEPAGE="http://rubyforge.org/projects/trans-simple/"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
IUSE=""
ruby_add_bdepend "
test? (
>=dev-ruby/test-unit-2.5.1-r1
)
doc? ( dev-ruby/hoe )"
each_ruby_test() {
ruby-ng_testrb-2 -Ilib test/test_*.rb
}

@ -0,0 +1,19 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ttfunk/ttfunk-1.0.3-r1.ebuild,v 1.1 2013/10/30 03:43:21 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST=""
inherit ruby-fakegem versionator
DESCRIPTION="A TrueType font parser written in pure ruby."
HOMEPAGE="https://github.com/sandal/ttfunk/"
LICENSE="|| ( GPL-2 GPL-3 Ruby )"
SLOT="$(get_version_component_range 1-2)"
KEYWORDS="~amd64"
IUSE=""

@ -0,0 +1,24 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/uuidtools/uuidtools-2.1.4-r1.ebuild,v 1.1 2013/10/30 05:56:57 mrueg Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 ruby20 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC="-f tasks/yard.rake doc"
RUBY_FAKEGEM_DOCDIR="doc"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
inherit ruby-fakegem
DESCRIPTION="Simple library to generate UUIDs"
HOMEPAGE="http://uuidtools.rubyforge.org/"
SRC_URI="mirror://rubyforge/${PN}/${P}.tgz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-macos"
IUSE=""

@ -1,2 +1,3 @@
DIST circuit_macros-7.5.zip 1315731 SHA256 d28af00b94f0b4b6685a8dd551d5eb5ce7ce38f24b2b35174e5b61eb87d5eb66 SHA512 6bb4acbea144f42814fd11044b0b39b4c7abe25364cb3a4ba9aec411f8b60ac238d14ba547bf2fb31b3d1fbab0e0e1222899c3f679b80de930996be2bc2e9db8 WHIRLPOOL dcae336deb3de3a4ef875dfbf68c8a0e28f16389a574a9c4c9c4057b8c3a1a87350ec847c65fa265e773f311d47af0633e19909869c9ac2a4d7946a5c408eb94
DIST circuit_macros-7.6.zip 1321099 SHA256 6d3aa22a927d8f8fb0f409190021b2d4e9f123a5409571c5312c5b249912a7d2 SHA512 f1fcf2afd39e7b56521a7b378b89a3074cc73118c4acf4175176732ea2089590c1bfdd09f4601bc9eacbc9166f536506e9884d3cf888602f61a7004b70bd8f0f WHIRLPOOL b90243b34b174dc2280444d2093c8c26273391cdb94201768d777526ccae2863f5c8cb589c8c307de59c4c69b636702e6aa8dc90dd96f90c6f653a04e59fe988
DIST circuit_macros-7.7.zip 1335480 SHA256 c62c416b01c1de2b5969dfa9bb96a2b375e7e32c3a90b2376d04ae9d2dde3568 SHA512 2434a36dc03196af7d7ccca81e0e84926a51a626d89f6889fef9358cc6dd1c2237251a0f8f060a8e95b8a6e42a51166592436c3c749525fec35370d94e6786ae WHIRLPOOL 18b6a39a6ec0be1a5c5605f98fa42acce9ed66203e331bd394420dc492d3c8a4080f3cf90188219c3e07efc6712074de2b3ad59791f669e33e944e55b7567bde

@ -0,0 +1,54 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-tex/circuit_macros/circuit_macros-7.7.ebuild,v 1.1 2013/10/29 14:58:48 calchan Exp $
EAPI=5
inherit unpacker texlive-common
DESCRIPTION="M4 Macros for Electric circuit diagrams in TeX or LaTeX"
HOMEPAGE="https://ece.uwaterloo.ca/~aplevich/Circuit_macros/"
SRC_URI="http://mirrors.ctan.org/graphics/circuit_macros.zip -> circuit_macros-${PV}.zip"
LICENSE="LPPL-1.3c"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples +script"
DEPEND=""
RDEPEND="|| ( app-text/texlive[graphics] app-text/texlive[pstricks] )
media-gfx/dpic
sys-devel/m4
script? ( app-text/texlive[graphics]
dev-texlive/texlive-latexextra )"
S="${WORKDIR}/${PN}"
src_compile() {
:
}
src_install() {
insinto /usr/share/${PN}
doins *.m4
insinto /usr/share/texmf-site/tex/latex/${PN}
doins boxdims.sty
dodoc README CHANGES Makefile doc/CMman.pdf
rm -f doc/CMman.pdf
use doc && dodoc -r doc
use examples && dodoc -r examples
use script && dobin "${FILESDIR}/CM2pdf"
docompress -x \
/usr/share/doc/${PF}/Makefile \
/usr/share/doc/${PF}/doc \
/usr/share/doc/${PF}/examples
}
pkg_postinst() {
etexmf-update
use script && einfo "CM2pdf was installed to automatically create PDFs"
}
pkg_postrm() {
etexmf-update
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-texlive/texlive-pstricks/texlive-pstricks-2013.ebuild,v 1.1 2013/06/28 16:44:32 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-texlive/texlive-pstricks/texlive-pstricks-2013.ebuild,v 1.2 2013/10/29 19:48:12 aballier Exp $
EAPI="5"
@ -21,7 +21,7 @@ DEPEND=">=dev-texlive/texlive-basic-2013
RDEPEND="${DEPEND} dev-texlive/texlive-genericrecommended
"
TEXLIVE_MODULE_BINSCRIPTS="
texmf-dist/scripts/pst2pdf
texmf-dist/scripts/pst2pdf/pst2pdf.pl
texmf-dist/scripts/pedigree-perl/pedigree.pl
"
PATCHES=( "${FILESDIR}/pedigreeloc.patch" )

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/geany-plugins/geany-plugins-1.23.ebuild,v 1.1 2013/07/31 04:46:04 binki Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/geany-plugins/geany-plugins-1.23.ebuild,v 1.2 2013/10/29 22:14:48 chainsaw Exp $
EAPI=5
@ -12,7 +12,7 @@ SRC_URI="http://plugins.geany.org/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc ~x86"
IUSE="+commander debugger devhelp enchant gpg gtkspell lua markdown multiterm nls scope soup webkit"
LINGUAS="be ca da de es fr gl ja pt pt_BR ru tr zh_CN"

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/geany/geany-1.23.1.ebuild,v 1.2 2013/10/22 20:23:04 polynomial-c Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/geany/geany-1.23.1.ebuild,v 1.3 2013/10/29 22:12:31 chainsaw Exp $
EAPI=5
inherit eutils fdo-mime gnome2-utils
@ -14,7 +14,7 @@ SRC_URI="http://download.geany.org/${P}.tar.bz2"
LICENSE="GPL-2+ HPND"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE="+vte"
RDEPEND=">=x11-libs/gtk+-2.16:2

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/trinity/trinity-9999.ebuild,v 1.2 2013/09/07 20:24:10 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/trinity/trinity-9999.ebuild,v 1.3 2013/10/29 22:25:53 radhermit Exp $
EAPI=5
@ -18,11 +18,11 @@ IUSE="examples"
DEPEND="sys-kernel/linux-headers"
src_prepare() {
sed -e 's/^CFLAGS = /CFLAGS +=/' \
sed -e 's/^CFLAGS := /CFLAGS +=/' \
-e 's/-g -O2//' \
-e 's/-D_FORTIFY_SOURCE=2//' \
-e '/-o trinity/s/$(CFLAGS)/\0 $(LDFLAGS)/' \
-e '/^CFLAGS += -Werror/d' \
-e '/^CC :=/d' \
-i Makefile || die
tc-export CC

@ -0,0 +1 @@
DIST kte-collaborative-v0.2.0.tar.xz 123204 SHA256 06c8cfb16b93a8fe3c5e2267ba3f71110526966267f73fed20a902c3f7982a55 SHA512 0e96eaf9ab081cbfa80e1c51ef20bfda571c6a479c6ba9f568c0a891b8d68ddafeeed56cf24633260997a9e814ee7c916b12637ed8de84aa0cdf011551fa053e WHIRLPOOL cc44550eb3dbe2a87786b16326b86765fcdd10dff8b1549f372700fbca8525a2aba9aef348c2d957f4380c88099fede886efa7173c40194cd042a6aaba832635

@ -0,0 +1,36 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-misc/kte-collaborative/kte-collaborative-0.2.0.ebuild,v 1.1 2013/10/29 22:02:10 johu Exp $
EAPI=5
DECLARATIVE_REQUIRED="always"
VIRTUALX_REQUIRED="test"
MY_P="${PN}-v${PV}"
KDE_LINGUAS="bs cs de fr hu nl pl pt pt_BR sk sv ug uk"
inherit kde4-base
DESCRIPTION="Collaborative text editor via kde-telepathy"
HOMEPAGE="https://projects.kde.org/projects/playground/network/kte-collaborative"
SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${MY_P}.tar.xz"
LICENSE="GPL-2"
SLOT="4"
KEYWORDS="~amd64 ~x86"
IUSE="debug"
RDEPEND="
dev-libs/glib:2
net-im/ktp-common-internals
net-libs/libinfinity[server]
net-libs/libqinfinity
>=net-libs/telepathy-qt-0.8.9
"
DEPEND="${RDEPEND}
app-arch/xz-utils
"
# hangs
RESTRICT="test"
S=${WORKDIR}/${MY_P}

@ -0,0 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>kde</herd>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/mail-filter/opendmarc/opendmarc-1.1.3.ebuild,v 1.1 2013/09/30 19:21:37 grobian Exp $
# $Header: /var/cvsroot/gentoo-x86/mail-filter/opendmarc/opendmarc-1.1.3.ebuild,v 1.3 2013/10/30 00:58:41 jer Exp $
EAPI=5
@ -10,10 +10,10 @@ SRC_URI="mirror://sourceforge/opendmarc/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~hppa"
IUSE=""
DEPEND="dev-db/opendbx
DEPEND="dev-perl/DBI
mail-filter/libmilter"
RDEPEND="${DEPEND}
virtual/perl-Switch"

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/mail-mta/exim/exim-4.82.ebuild,v 1.1 2013/10/28 17:49:40 grobian Exp $
# $Header: /var/cvsroot/gentoo-x86/mail-mta/exim/exim-4.82.ebuild,v 1.2 2013/10/30 00:59:22 jer Exp $
EAPI="4"
@ -22,7 +22,7 @@ HOMEPAGE="http://www.exim.org/"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86-solaris"
KEYWORDS="~amd64 ~hppa ~x86-solaris"
COMMON_DEPEND=">=sys-apps/sed-4.0.5
>=sys-libs/db-3.2

@ -1 +1 @@
DIST opensmtpd-201310241356p1.tar.gz 796671 SHA256 b4724f5cbbb420b90a0b70b0f3fb2412efadfe0739bcdef01d8504481253df35 SHA512 568ea5f5968c51645f6f9ce9a81360f8ba7a4d80441484d6023a89478c35323dadad029733ddefbb7ade0e97018585cbba950c1ee3eae0d4b92ce038a3891880 WHIRLPOOL 2b3767a8bedd43a2645f45d6b69a3fa053d1b281b3c30a1866db498731d952c5dbea9e6900dd299f947f8077d7c1d37fbcccc671373e52ee6eabc36f14c51973
DIST opensmtpd-201310281424p1.tar.gz 803287 SHA256 4cb194e7d78712109b589230fcd914f56a6237f758799778f7fb5343e83c3dc5 SHA512 9bd5c5eef6fc5c8e7a86a8a7532447a2357d388558402d458303f3df27022b104d34e2afa8c18c33afbd6d0028fd3a420f49a57713227567df6c2598cf5016fc WHIRLPOOL e4c5c657eb1be449c6c50a354e88a5a8c4342dfd751a33a80d50e3d91bff2f0a2b898317ceec6d5481501d8e153c17bfc8c74fc5c75b20aaa0f8739ce92836f2

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/mail-mta/opensmtpd/opensmtpd-5.3.3.201310241356_p1.ebuild,v 1.1 2013/10/25 12:17:34 zx2c4 Exp $
# $Header: /var/cvsroot/gentoo-x86/mail-mta/opensmtpd/opensmtpd-5.3.3.201310281424_p1.ebuild,v 1.1 2013/10/29 21:31:35 zx2c4 Exp $
EAPI=5

@ -2,4 +2,5 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>graphics</herd>
<herd>lxde</herd>
</pkgmetadata>

@ -1,8 +1,8 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/libafterimage/libafterimage-1.20.ebuild,v 1.14 2013/10/19 18:10:14 ulm Exp $
# $Header: /var/cvsroot/gentoo-x86/media-libs/libafterimage/libafterimage-1.20.ebuild,v 1.15 2013/10/29 16:48:05 bicatali Exp $
EAPI=3
EAPI=5
inherit eutils autotools
MY_PN=libAfterImage
@ -14,9 +14,10 @@ SRC_URI="ftp://ftp.afterstep.org/stable/${MY_PN}/${MY_PN}-${PV}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE="gif jpeg mmx nls png svg tiff examples static-libs truetype"
IUSE="examples gif jpeg mmx nls png static-libs svg tiff truetype"
RDEPEND="x11-libs/libSM
RDEPEND="
x11-libs/libSM
x11-libs/libXext
x11-libs/libXrender
png? ( >=media-libs/libpng-1.4:0 )
@ -30,7 +31,7 @@ DEPEND="${RDEPEND}
x11-proto/xextproto
!!x11-wm/afterstep"
S=${WORKDIR}/${MY_PN}-${PV}
S="${WORKDIR}/${MY_PN}-${PV}"
src_prepare() {
# fix some ldconfig problem in makefile.in
@ -41,7 +42,13 @@ src_prepare() {
epatch "${FILESDIR}"/${PN}-gif.patch
# fix for libpng15 compability
epatch "${FILESDIR}"/${PN}-libpng15.patch
epatch "${FILESDIR}"/${PN}-giflib42.patch #486804
# fix for gif library bug #486804
epatch "${FILESDIR}"/${PN}-giflib42.patch
# do not build examples
sed -i \
-e '/^all:/s/apps//' \
-e '/^install:/s/install.apps//' \
Makefile.in || die
# remove forced flags
sed -i \
-e 's/CFLAGS="-O3"//' \
@ -76,13 +83,13 @@ src_install() {
emake \
DESTDIR="${D}" \
AFTER_DOC_DIR="${ED}/usr/share/doc/${PF}" \
install || die "emake install failed"
dodoc ChangeLog README || die
install
dodoc ChangeLog README
if use examples; then
cd apps || die
emake clean
rm -f Makefile*
rm Makefile* || die
insinto /usr/share/doc/${PF}/examples
doins * || die "install examples failed"
doins *
fi
}

@ -1,16 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
<longdescription>
libAfterImage is a generic image manipulation library.
It was initially implemented to address AfterStep Window Manager's needs for
image handling, but it evolved into software suitable for project
that has needs for handling images. Most of the popular image formats are
supported using standard libraries, with XCF, XPM, PPM/PNM, BMP, ICO,
TGA and GIF being supported internally. PNG, JPEG and TIFF formats are
supported via standard libraries. Text rendering capabilities
included, providing support for TrueType fonts using FreeType library,
and anti-aliasing of standard fonts from X window system.
<herd>sci-physics</herd>
<longdescription lang='en'>
libAfterImage is a generic image manipulation library.
It was initially implemented to address AfterStep Window Manager's needs for
image handling, but it evolved into software suitable for project
that has needs for handling images. Most of the popular image formats are
supported using standard libraries, with XCF, XPM, PPM/PNM, BMP, ICO,
TGA and GIF being supported internally. PNG, JPEG and TIFF formats are
supported via standard libraries. Text rendering capabilities
included, providing support for TrueType fonts using FreeType library,
and anti-aliasing of standard fonts from X window system.
</longdescription>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/libechonest/libechonest-2.0.3.ebuild,v 1.1 2013/03/12 08:26:57 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/media-libs/libechonest/libechonest-2.0.3.ebuild,v 1.2 2013/10/29 20:03:16 maksbotan Exp $
EAPI=5
inherit cmake-utils
@ -11,7 +11,7 @@ SRC_URI="http://files.lfranchi.com/${P}.tar.bz2
http://pwsp.cleinias.com/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
SLOT="0/2.0"
KEYWORDS="~amd64 ~x86"
IUSE=""

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/libechonest/libechonest-2.1.0.ebuild,v 1.1 2013/06/09 11:07:49 johu Exp $
# $Header: /var/cvsroot/gentoo-x86/media-libs/libechonest/libechonest-2.1.0.ebuild,v 1.2 2013/10/29 20:03:16 maksbotan Exp $
EAPI=5
inherit cmake-utils
@ -11,7 +11,7 @@ SRC_URI="http://files.lfranchi.com/${P}.tar.bz2
http://pwsp.cleinias.com/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
SLOT="0/2.1"
KEYWORDS="~amd64 ~x86"
IUSE=""

@ -1,2 +1,3 @@
DIST clementine-1.0.1.tar.gz 8267876 SHA256 bf28c6584e280f58e8ebf7ba33cee1f926c0b8f1857ae605164ecbb2ff096e7d SHA512 7657d8f906a349f2085a5bda410c1af093626b4839424136dcb277bb775dad1cb91dce6138035d0c9f83a8a1079a58c01a7f7fd3bd63f7e2fbd5c8bff387437c WHIRLPOOL eebeb245d12ad871b0e2fbc1b4bd33c5ce31ff03f98536bcd9197084cd7dd5c7dfce1cb9169b585a60901845351ae8626ca689d80b15fa0dddaca68e4c9f6556
DIST clementine-1.1.1.tar.gz 8557109 SHA256 a94dfbd4732155ff1d4f24bb792d9e4def5bf4a42dd6678638c0400217a6fda9 SHA512 61b08c97f04556b91589365d31d1056d87f2ade6df02c4c1fb10e31dcb8d3f5ec327541635776e1c20df88926f580430da6bb33b16ba737a5eb9b6d4b39bdedb WHIRLPOOL 57a778fabe58737d3a35c2bdd7fad7698e6f48a4c4e7bb834a91ac914362b583ab96dede7cb7870a112300ed8e32e7e4277e7ee6d6f5250cc32b45a84009515c
DIST clementine-1.2.0.tar.gz 9715661 SHA256 563d00da4e893f7b1966ed137bcab28042151e31ea561cb7076047d3cad96f72 SHA512 b7a084f74b1469b8544326a798642aa6a96ff286f1495033e048a0313dca2c365542aabccd00fa3d01399d65a0301068aa93b3b2f6606f84950c51c2e6ef8066 WHIRLPOOL b0fe7de7b85acc75f17880d68782888d44cef6416239e0b76231966e5fe438b0a2960bcec6f90bb7412c703a81d15934fe6bd00222253ecfebd240b3f4061f91

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/clementine/clementine-1.1.1.ebuild,v 1.11 2013/08/05 15:21:17 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/media-sound/clementine/clementine-1.1.1.ebuild,v 1.12 2013/10/29 20:12:01 maksbotan Exp $
EAPI=5
@ -35,7 +35,7 @@ COMMON_DEPEND="
dev-libs/libxml2
dev-libs/protobuf:=
dev-libs/qjson
media-libs/libechonest
media-libs/libechonest:=
>=media-libs/chromaprint-0.6
media-libs/gstreamer:0.10
media-libs/gst-plugins-base:0.10

@ -0,0 +1,140 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/clementine/clementine-1.2.0.ebuild,v 1.1 2013/10/29 20:12:01 maksbotan Exp $
EAPI=5
EGIT_REPO_URI="https://code.google.com/p/clementine-player/"
LANGS=" af ar be bg bn br bs ca cs cy da de el en_CA en_GB eo es es_AR et eu fa fi fr ga gl he hi hr hu hy ia id is it ja ka kk ko lt lv mr ms nb nl oc pa pl pt pt_BR ro ru sk sl sr sr@latin sv te tr uk uz vi zh_CN zh_TW"
inherit cmake-utils flag-o-matic gnome2-utils virtualx
[[ ${PV} == *9999* ]] && inherit git-2
DESCRIPTION="A modern music player and library organizer based on Amarok 1.4 and Qt4"
HOMEPAGE="http://www.clementine-player.org/ https://code.google.com/p/clementine-player/"
[[ ${PV} == *9999* ]] || \
SRC_URI="http://clementine-player.googlecode.com/files/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~x86"
IUSE="ayatana box cdda +dbus debug dropbox googledrive ipod lastfm mms moodbar mtp projectm skydrive system-sqlite test ubuntu-one +udev wiimote"
IUSE+="${LANGS// / linguas_}"
REQUIRED_USE="
udev? ( dbus )
wiimote? ( dbus )
"
COMMON_DEPEND="
>=dev-qt/qtgui-4.5:4
dbus? ( >=dev-qt/qtdbus-4.5:4 )
>=dev-qt/qtopengl-4.5:4
>=dev-qt/qtsql-4.5:4[sqlite]
system-sqlite? ( dev-db/sqlite[fts3(+)] )
>=media-libs/taglib-1.8[mp4]
>=dev-libs/glib-2.24.1-r1
dev-libs/libxml2
dev-libs/protobuf:=
dev-libs/qjson
media-libs/libechonest:=
>=media-libs/libmygpo-qt-1.0.7
>=media-libs/chromaprint-0.6
media-libs/gstreamer:0.10
media-libs/gst-plugins-base:0.10
virtual/glu
virtual/opengl
ayatana? ( dev-libs/libindicate-qt )
cdda? ( dev-libs/libcdio )
ipod? ( >=media-libs/libgpod-0.8.0 )
lastfm? ( >=media-libs/liblastfm-1 )
mtp? ( >=media-libs/libmtp-1.0.0 )
moodbar? ( sci-libs/fftw:3.0 )
projectm? ( media-libs/glew )
"
# now only presets are used, libprojectm is internal
# http://code.google.com/p/clementine-player/source/browse/#svn/trunk/3rdparty/libprojectm/patches
# r1966 "Compile with a static sqlite by default, since Qt 4.7 doesn't seem to expose the symbols we need to use FTS"
RDEPEND="${COMMON_DEPEND}
dbus? ( udev? ( sys-fs/udisks:0 ) )
mms? ( media-plugins/gst-plugins-libmms:0.10 )
mtp? ( gnome-base/gvfs )
projectm? ( >=media-libs/libprojectm-1.2.0 )
media-plugins/gst-plugins-meta:0.10
media-plugins/gst-plugins-gio:0.10
media-plugins/gst-plugins-soup:0.10
media-plugins/gst-plugins-taglib:0.10
"
DEPEND="${COMMON_DEPEND}
>=dev-libs/boost-1.39
virtual/pkgconfig
sys-devel/gettext
dev-qt/qttest:4
dev-cpp/gmock
box? ( dev-cpp/sparsehash )
dropbox? ( dev-cpp/sparsehash )
googledrive? ( dev-cpp/sparsehash )
skydrive? ( dev-cpp/sparsehash )
ubuntu-one? ( dev-cpp/sparsehash )
test? ( gnome-base/gsettings-desktop-schemas )
"
DOCS="Changelog"
src_prepare() {
# some tests fail or hang
sed -i \
-e '/add_test_file(translations_test.cpp/d' \
tests/CMakeLists.txt || die
}
src_configure() {
local langs x
for x in ${LANGS}; do
use linguas_${x} && langs+=" ${x}"
done
# spotify is not in portage
local mycmakeargs=(
-DBUILD_WERROR=OFF
-DLINGUAS="${langs}"
-DBUNDLE_PROJECTM_PRESETS=OFF
$(cmake-utils_use cdda ENABLE_AUDIOCD)
$(cmake-utils_use dbus ENABLE_DBUS)
$(cmake-utils_use udev ENABLE_DEVICEKIT)
$(cmake-utils_use ipod ENABLE_LIBGPOD)
$(cmake-utils_use lastfm ENABLE_LIBLASTFM)
$(cmake-utils_use mtp ENABLE_LIBMTP)
$(cmake-utils_use moodbar ENABLE_MOODBAR)
-DENABLE_GIO=ON
$(cmake-utils_use wiimote ENABLE_WIIMOTEDEV)
$(cmake-utils_use projectm ENABLE_VISUALISATIONS)
$(cmake-utils_use ayatana ENABLE_SOUNDMENU)
$(cmake-utils_use box ENABLE_BOX)
$(cmake-utils_use dropbox ENABLE_DROPBOX)
$(cmake-utils_use googledrive ENABLE_GOOGLE_DRIVE)
$(cmake-utils_use skydrive ENABLE_SKYDRIVE)
$(cmake-utils_use ubuntu-one ENABLE_UBUNTU_ONE)
-DENABLE_SPOTIFY_BLOB=OFF
-DENABLE_BREAKPAD=OFF
$(cmake-utils_use !system-sqlite STATIC_SQLITE)
$(cmake-utils_use system-sqlite I_HATE_MY_USERS)
$(cmake-utils_use system-sqlite MY_USERS_WILL_SUFFER_BECAUSE_OF_ME)
-DUSE_BUILTIN_TAGLIB=OFF
-DUSE_SYSTEM_GMOCK=ON
)
use !debug && append-cppflags -DQT_NO_DEBUG_OUTPUT
cmake-utils_src_configure
}
src_test() {
cd "${CMAKE_BUILD_DIR}" || die
Xemake test
}
pkg_preinst() { gnome2_icon_savelist; }
pkg_postinst() { gnome2_icon_cache_update; }
pkg_postrm() { gnome2_icon_cache_update; }

@ -0,0 +1,140 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/clementine/clementine-9999.ebuild,v 1.1 2013/10/29 20:12:01 maksbotan Exp $
EAPI=5
EGIT_REPO_URI="https://code.google.com/p/clementine-player/"
LANGS=" af ar be bg bn br bs ca cs cy da de el en_CA en_GB eo es es_AR et eu fa fi fr ga gl he hi hr hu hy ia id is it ja ka kk ko lt lv mr ms nb nl oc pa pl pt pt_BR ro ru sk sl sr sr@latin sv te tr uk uz vi zh_CN zh_TW"
inherit cmake-utils flag-o-matic gnome2-utils virtualx
[[ ${PV} == *9999* ]] && inherit git-2
DESCRIPTION="A modern music player and library organizer based on Amarok 1.4 and Qt4"
HOMEPAGE="http://www.clementine-player.org/ https://code.google.com/p/clementine-player/"
[[ ${PV} == *9999* ]] || \
SRC_URI="http://clementine-player.googlecode.com/files/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~x86"
IUSE="ayatana box cdda +dbus debug dropbox googledrive ipod lastfm mms moodbar mtp projectm skydrive system-sqlite test ubuntu-one +udev wiimote"
IUSE+="${LANGS// / linguas_}"
REQUIRED_USE="
udev? ( dbus )
wiimote? ( dbus )
"
COMMON_DEPEND="
>=dev-qt/qtgui-4.5:4
dbus? ( >=dev-qt/qtdbus-4.5:4 )
>=dev-qt/qtopengl-4.5:4
>=dev-qt/qtsql-4.5:4[sqlite]
system-sqlite? ( dev-db/sqlite[fts3(+)] )
>=media-libs/taglib-1.8[mp4]
>=dev-libs/glib-2.24.1-r1
dev-libs/libxml2
dev-libs/protobuf:=
dev-libs/qjson
media-libs/libechonest:=
>=media-libs/libmygpo-qt-1.0.7
>=media-libs/chromaprint-0.6
media-libs/gstreamer:0.10
media-libs/gst-plugins-base:0.10
virtual/glu
virtual/opengl
ayatana? ( dev-libs/libindicate-qt )
cdda? ( dev-libs/libcdio )
ipod? ( >=media-libs/libgpod-0.8.0 )
lastfm? ( >=media-libs/liblastfm-1 )
mtp? ( >=media-libs/libmtp-1.0.0 )
moodbar? ( sci-libs/fftw:3.0 )
projectm? ( media-libs/glew )
"
# now only presets are used, libprojectm is internal
# http://code.google.com/p/clementine-player/source/browse/#svn/trunk/3rdparty/libprojectm/patches
# r1966 "Compile with a static sqlite by default, since Qt 4.7 doesn't seem to expose the symbols we need to use FTS"
RDEPEND="${COMMON_DEPEND}
dbus? ( udev? ( sys-fs/udisks:0 ) )
mms? ( media-plugins/gst-plugins-libmms:0.10 )
mtp? ( gnome-base/gvfs )
projectm? ( >=media-libs/libprojectm-1.2.0 )
media-plugins/gst-plugins-meta:0.10
media-plugins/gst-plugins-gio:0.10
media-plugins/gst-plugins-soup:0.10
media-plugins/gst-plugins-taglib:0.10
"
DEPEND="${COMMON_DEPEND}
>=dev-libs/boost-1.39
virtual/pkgconfig
sys-devel/gettext
dev-qt/qttest:4
dev-cpp/gmock
box? ( dev-cpp/sparsehash )
dropbox? ( dev-cpp/sparsehash )
googledrive? ( dev-cpp/sparsehash )
skydrive? ( dev-cpp/sparsehash )
ubuntu-one? ( dev-cpp/sparsehash )
test? ( gnome-base/gsettings-desktop-schemas )
"
DOCS="Changelog"
src_prepare() {
# some tests fail or hang
sed -i \
-e '/add_test_file(translations_test.cpp/d' \
tests/CMakeLists.txt || die
}
src_configure() {
local langs x
for x in ${LANGS}; do
use linguas_${x} && langs+=" ${x}"
done
# spotify is not in portage
local mycmakeargs=(
-DBUILD_WERROR=OFF
-DLINGUAS="${langs}"
-DBUNDLE_PROJECTM_PRESETS=OFF
$(cmake-utils_use cdda ENABLE_AUDIOCD)
$(cmake-utils_use dbus ENABLE_DBUS)
$(cmake-utils_use udev ENABLE_DEVICEKIT)
$(cmake-utils_use ipod ENABLE_LIBGPOD)
$(cmake-utils_use lastfm ENABLE_LIBLASTFM)
$(cmake-utils_use mtp ENABLE_LIBMTP)
$(cmake-utils_use moodbar ENABLE_MOODBAR)
-DENABLE_GIO=ON
$(cmake-utils_use wiimote ENABLE_WIIMOTEDEV)
$(cmake-utils_use projectm ENABLE_VISUALISATIONS)
$(cmake-utils_use ayatana ENABLE_SOUNDMENU)
$(cmake-utils_use box ENABLE_BOX)
$(cmake-utils_use dropbox ENABLE_DROPBOX)
$(cmake-utils_use googledrive ENABLE_GOOGLE_DRIVE)
$(cmake-utils_use skydrive ENABLE_SKYDRIVE)
$(cmake-utils_use ubuntu-one ENABLE_UBUNTU_ONE)
-DENABLE_SPOTIFY_BLOB=OFF
-DENABLE_BREAKPAD=OFF
$(cmake-utils_use !system-sqlite STATIC_SQLITE)
$(cmake-utils_use system-sqlite I_HATE_MY_USERS)
$(cmake-utils_use system-sqlite MY_USERS_WILL_SUFFER_BECAUSE_OF_ME)
-DUSE_BUILTIN_TAGLIB=OFF
-DUSE_SYSTEM_GMOCK=ON
)
use !debug && append-cppflags -DQT_NO_DEBUG_OUTPUT
cmake-utils_src_configure
}
src_test() {
cd "${CMAKE_BUILD_DIR}" || die
Xemake test
}
pkg_preinst() { gnome2_icon_savelist; }
pkg_postinst() { gnome2_icon_cache_update; }
pkg_postrm() { gnome2_icon_cache_update; }

@ -1,23 +1,22 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>proxy-maintainers</herd>
<herd>sound</herd>
<maintainer>
<email>nikoli@lavabit.com</email>
<name>Nikoli</name>
</maintainer>
<maintainer>
<email>ssuominen@gentoo.org</email>
<name>Samuli Suominen</name>
</maintainer>
<use>
<flag name="kde">Enable plasma krunner global search</flag>
<flag name="lastfm">Enable Last.fm streaming services support through <pkg>media-libs/liblastfm</pkg></flag>
<flag name="googledrive">Enable Google Drive support</flag>
<flag name="lastfm">Use liblastfm for fetching song info, scrobbling and radio streams</flag>
<flag name="moodbar">Enable moodbar support</flag>
<flag name='projectm'>Build with ProjectM visualization</flag>
<flag name="wiimote">Enable support for Wii remote</flag>
</use>
</pkgmetadata>
<herd>proxy-maintainers</herd>
<herd>sound</herd>
<maintainer>
<email>nikoli@gmx.us</email>
<name>Nikoli</name>
</maintainer>
<use>
<flag name="box">Enable Box support</flag>
<flag name="dropbox">Enable Dropbox support</flag>
<flag name="googledrive">Enable Google Drive support</flag>
<flag name="lastfm">Use liblastfm for fetching song info, scrobbling and radio streams</flag>
<flag name="moodbar">Enable moodbar support</flag>
<flag name='projectm'>Build with ProjectM visualization</flag>
<flag name="skydrive">Enable Skydrive support</flag>
<flag name="system-sqlite">Use the system-wide <pkg>dev-db/sqlite</pkg> installation</flag>
<flag name="ubuntu-one">Enable Ubuntu One support</flag>
<flag name="wiimote">Enable support for Wii remote</flag>
</use>
</pkgmetadata>

@ -1 +1 @@
Tue, 29 Oct 2013 13:36:57 +0000
Wed, 30 Oct 2013 11:06:59 +0000

@ -1 +1 @@
Tue, 29 Oct 2013 13:36:58 +0000
Wed, 30 Oct 2013 11:06:59 +0000

@ -1,5 +1,5 @@
DEFINED_PHASES=compile install postinst unpack
DEPEND=sys-apps/sed || ( sys-apps/coreutils sys-freebsd/freebsd-bin app-misc/realpath ) doc? ( dev-python/docutils ) dev-vcs/git
DEFINED_PHASES=compile install postinst prepare unpack
DEPEND=sys-apps/sed || ( sys-apps/coreutils sys-freebsd/freebsd-bin app-misc/realpath ) doc? ( dev-python/docutils ) || ( >=sys-devel/automake-1.12:1.12 >=sys-devel/automake-1.13:1.13 ) >=sys-devel/autoconf-2.68 sys-devel/libtool >=dev-vcs/git-1.8.2.1
DESCRIPTION=Gentoo's multi-purpose configuration and management tool
EAPI=5
HOMEPAGE=http://wiki.gentoo.org/wiki/Project:Eselect
@ -8,5 +8,5 @@ LICENSE=GPL-2+ || ( GPL-2+ CC-BY-SA-2.5 )
PDEPEND=emacs? ( app-emacs/eselect-mode ) vim-syntax? ( app-vim/eselect-syntax )
RDEPEND=!app-admin/eselect-news sys-apps/sed || ( sys-apps/coreutils sys-freebsd/freebsd-bin app-misc/realpath ) sys-apps/file sys-libs/ncurses
SLOT=0
_eclasses_=bash-completion-r1 d339dd40b2014cf1edba8592580eef42 eutils 4878e7f88afc0ba0866ac112190b0fd4 git-2 2027b81a576527fa16bece425941e094 git-r3 50d4901f6fbc60f376f4af3b555143c8 multilib 892e597faee02a5b94eb02ab512e7622 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=b8a221ad1026298f388c553af60724e6
_eclasses_=autotools 16761a2f972abd686713e5967ff3c754 bash-completion-r1 d339dd40b2014cf1edba8592580eef42 eutils 4878e7f88afc0ba0866ac112190b0fd4 git-r3 50d4901f6fbc60f376f4af3b555143c8 libtool b1c8688e60f9580bcb9bb46e08737eb1 multilib 892e597faee02a5b94eb02ab512e7622 multiprocessing 89580da5ec17ad687fcde876c542b91e toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=ad1f77a9d42195b91f7bc6501efd1c24

@ -11,4 +11,4 @@ REQUIRED_USE=static? ( clientonly ) python? ( python_single_target_python2_6? (
SLOT=0
SRC_URI=https://github.com/bareos/bareos/archive/Release/12.4.5.tar.gz -> bareos-12.4.5.tar.gz
_eclasses_=base ec46b36a6f6fd1d0b505a33e0b74e413 eutils 4878e7f88afc0ba0866ac112190b0fd4 multilib 892e597faee02a5b94eb02ab512e7622 python-single-r1 677393e4f4667059846e1a73f205010d python-utils-r1 448d1943861aa5dffe1f328a6f7cb6b6 qt4-r2 ce0c9abfee272185e03ab73f09f5fd69 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28
_md5_=c7bfeda7ff4f6bcfb700a61c78824d4d
_md5_=0072680a63ff20a3af274c70f99bbd67

@ -0,0 +1,12 @@
DEFINED_PHASES=compile configure install prepare
DEPEND=~sci-physics/root-5.34.10[X,doc,graphviz,htmldoc,opengl] virtual/pkgconfig test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )
DESCRIPTION=API documentation for ROOT (An Object-Oriented Data Analysis Framework)
EAPI=5
HOMEPAGE=http://root.cern.ch/
IUSE=test
KEYWORDS=~amd64 ~x86 ~amd64-linux ~x86-linux
LICENSE=LGPL-2.1
SLOT=0
SRC_URI=ftp://root.cern.ch/root/root_v5.34.10.source.tar.gz
_eclasses_=eutils 4878e7f88afc0ba0866ac112190b0fd4 multilib 892e597faee02a5b94eb02ab512e7622 toolchain-funcs 51e6c948e72c43bcc8edc7544411c953 user d0a4d0735a6c0183d707ca919bd72f28 virtualx 73cfc129b4b9ba23aed1abb10c825d86
_md5_=c1005ef1cb89e63550f606547e18a1b5

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save